/*
  ==============================================================================

  This is an automatically generated GUI class created by the Introjucer!

  Be careful when adding custom code to these files, as only the code within
  the "//[xyz]" and "//[/xyz]" sections will be retained when the file is loaded
  and re-saved.

  Created with Introjucer version: 3.1.0

  ------------------------------------------------------------------------------

  The Introjucer is part of the JUCE library - "Jules' Utility Class Extensions"
  Copyright 2004-13 by Raw Material Software Ltd.

  ==============================================================================
*/

//[Headers] You can add your own extra header files here...
/*
 * Copyright (c) 2013 - Teragon Audio LLC
 *
 * Permission is granted to use this software under the terms of either:
 * a) the GPL v2 (or any later version)
 * b) the Affero GPL v3
 *
 * Details of these licenses can be found at: www.gnu.org/licenses
 *
 * This software is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * ------------------------------------------------------------------------------
 *
 * This software uses the JUCE library.
 *
 * To release a closed-source product which uses JUCE, commercial licenses are
 * available: visit www.juce.com for more information.
 */
//[/Headers]

#include "ConfirmClearDialog.h"


//[MiscUserDefs] You can add your own user definitions and misc code here...
//[/MiscUserDefs]

//==============================================================================
ConfirmClearDialog::ConfirmClearDialog (teragon::ConcurrentParameterSet &p, teragon::ResourceCache *r)
    : Component(), ParameterObserver(),
      parameters(p), resources(r)
{
    addAndMakeVisible (cancelButton = new teragon::ToggleButton (parameters,
                                                                 "Clear Cancelled",
                                                                 resources));
    cancelButton->setName ("cancel button");

    addAndMakeVisible (confirmButton = new teragon::ToggleButton (parameters,
                                                                  "Clear Confirmed",
                                                                  resources));
    confirmButton->setName ("confirm button");

    cachedImage_confirmcleardialog_png = ImageCache::getFromMemory (confirmcleardialog_png, confirmcleardialog_pngSize);

    //[UserPreSize]
    //[/UserPreSize]

    setSize (312, 125);


    //[Constructor] You can add your own custom stuff here..
    parameters["Clear Cancelled"]->addObserver(this);
    parameters["Clear Confirmed"]->addObserver(this);
    //[/Constructor]
}

ConfirmClearDialog::~ConfirmClearDialog()
{
    //[Destructor_pre]. You can add your own custom destruction code here..
    parameters["Clear Cancelled"]->removeObserver(this);
    parameters["Clear Confirmed"]->removeObserver(this);
    //[/Destructor_pre]

    cancelButton = nullptr;
    confirmButton = nullptr;


    //[Destructor]. You can add your own custom destruction code here..
    //[/Destructor]
}

//==============================================================================
void ConfirmClearDialog::paint (Graphics& g)
{
    //[UserPrePaint] Add your own custom painting code here..
    //[/UserPrePaint]

    g.fillAll (Colour (0xff383838));

    g.setColour (Colours::black);
    g.drawImage (cachedImage_confirmcleardialog_png,
                 0, 0, 312, 125,
                 0, 0, cachedImage_confirmcleardialog_png.getWidth(), cachedImage_confirmcleardialog_png.getHeight());

    //[UserPaint] Add your own custom painting code here..
    //[/UserPaint]
}

void ConfirmClearDialog::resized()
{
    cancelButton->setBounds (141, 73, 72, 40);
    confirmButton->setBounds (226, 73, 72, 40);
    //[UserResized] Add your own custom resize handling here..
    //[/UserResized]
}



//[MiscUserCode] You can add your own definitions of your custom methods or any other code here...
void ConfirmClearDialog::onParameterUpdated(const teragon::Parameter *parameter) {
    DialogWindow *dialogWindow = findParentComponentOfClass<DialogWindow>();
    if(dialogWindow != nullptr) {
        dialogWindow->exitModalState(0);
    }
}
//[/MiscUserCode]


//==============================================================================
#if 0
/*  -- Introjucer information section --

    This is where the Introjucer stores the metadata that describe this GUI layout, so
    make changes in here at your peril!

BEGIN_JUCER_METADATA

<JUCER_COMPONENT documentType="Component" className="ConfirmClearDialog" componentName=""
                 parentClasses="public Component, public teragon::ParameterObserver"
                 constructorParams="teragon::ConcurrentParameterSet &amp;p, teragon::ResourceCache *r"
                 variableInitialisers="Component(), ParameterObserver(),&#10;parameters(p), resources(r)"
                 snapPixels="8" snapActive="1" snapShown="1" overlayOpacity="0.330"
                 fixedSize="1" initialWidth="312" initialHeight="125">
  <BACKGROUND backgroundColour="ff383838">
    <IMAGE pos="0 0 312 125" resource="confirmcleardialog_png" opacity="1"
           mode="0"/>
  </BACKGROUND>
  <GENERICCOMPONENT name="cancel button" id="1a457bcd96814c1a" memberName="cancelButton"
                    virtualName="teragon::ToggleButton" explicitFocusOrder="0" pos="141 73 72 40"
                    class="Component" params="parameters,&#10;&quot;Clear Cancelled&quot;,&#10;resources"/>
  <GENERICCOMPONENT name="confirm button" id="7e3406e18796b95f" memberName="confirmButton"
                    virtualName="teragon::ToggleButton" explicitFocusOrder="0" pos="226 73 72 40"
                    class="Component" params="parameters,&#10;&quot;Clear Confirmed&quot;,&#10;resources"/>
</JUCER_COMPONENT>

END_JUCER_METADATA
*/
#endif

//==============================================================================
// Binary resources - be careful not to edit any of these sections!

// JUCER_RESOURCE: confirmcleardialog_png, 26740, "../Graphics/confirmcleardialog.png"
static const unsigned char resource_ConfirmClearDialog_confirmcleardialog_png[] = { 137,80,78,71,13,10,26,10,0,0,0,13,73,72,68,82,0,0,1,56,0,0,0,125,8,2,0,0,0,185,255,232,86,0,0,10,65,105,67,67,80,73,
67,67,32,80,114,111,102,105,108,101,0,0,72,13,157,150,119,84,83,217,22,135,207,189,55,189,208,18,34,32,37,244,26,122,9,32,210,59,72,21,4,81,137,73,128,80,2,134,132,38,118,68,5,70,20,17,41,86,100,84,192,
1,71,135,34,99,69,20,11,131,130,98,215,9,242,16,80,198,193,81,68,69,229,221,140,107,9,239,173,53,243,222,154,253,199,89,223,217,231,183,215,217,103,239,125,215,186,0,80,252,130,4,194,116,88,1,128,52,161,
88,20,238,235,193,92,18,19,203,196,247,2,24,16,1,14,88,1,192,225,102,102,4,71,248,68,2,212,252,189,61,153,153,168,72,198,179,246,238,46,128,100,187,219,44,191,80,38,115,214,255,127,145,34,55,67,36,6,0,
10,69,213,54,60,126,38,23,229,2,148,83,179,197,25,50,255,4,202,244,149,41,50,134,49,50,22,161,9,162,172,34,227,196,175,108,246,167,230,43,187,201,152,151,38,228,161,26,89,206,25,188,52,158,140,187,80,
222,154,37,225,163,140,4,161,92,152,37,224,103,163,124,7,101,189,84,73,154,0,229,247,40,211,211,248,156,76,0,48,20,153,95,204,231,38,161,108,137,50,69,20,25,238,137,242,2,0,8,148,196,57,188,114,14,139,
249,57,104,158,0,120,166,103,228,138,4,137,73,98,166,17,215,152,105,229,232,200,102,250,241,179,83,249,98,49,43,148,195,77,225,136,120,76,207,244,180,12,142,48,23,128,175,111,150,69,1,37,89,109,153,104,
145,237,173,28,237,237,89,214,230,104,249,191,217,223,30,126,83,253,61,200,122,251,85,241,38,236,207,158,65,140,158,89,223,108,236,172,47,189,22,0,246,36,90,155,29,179,190,149,85,0,180,109,6,64,229,225,
172,79,239,32,0,242,5,0,180,222,156,243,30,134,108,94,146,196,226,12,39,11,139,236,236,108,115,1,159,107,46,43,232,55,251,159,130,111,202,191,134,57,247,153,203,238,251,86,59,166,23,63,129,35,73,21,51,
101,69,229,166,167,166,75,68,204,204,12,14,151,207,100,253,247,16,255,227,192,57,105,205,201,195,44,156,159,192,23,241,133,232,85,81,232,148,9,132,137,104,187,133,60,129,88,144,46,100,10,132,127,213,225,
127,24,54,39,7,25,126,157,107,20,104,117,95,0,125,133,57,80,184,73,7,200,111,61,0,67,35,3,36,110,63,122,2,125,235,91,16,49,10,200,190,188,104,173,145,175,115,143,50,122,254,231,250,31,11,92,138,110,225,
76,65,34,83,230,246,12,143,100,114,37,162,44,25,163,223,132,108,193,2,18,144,7,116,160,10,52,129,46,48,2,44,96,13,28,128,51,112,3,222,32,0,132,128,72,16,3,150,3,46,72,2,105,64,4,178,65,62,216,0,10,65,
49,216,1,118,131,106,112,0,212,129,122,208,4,78,130,54,112,6,92,4,87,192,13,112,11,12,128,71,64,10,134,193,75,48,1,222,129,105,8,130,240,16,21,162,65,170,144,22,164,15,153,66,214,16,27,90,8,121,67,65,
80,56,20,3,197,67,137,144,16,146,64,249,208,38,168,24,42,131,170,161,67,80,61,244,35,116,26,186,8,93,131,250,160,7,208,32,52,6,253,1,125,132,17,152,2,211,97,13,216,0,182,128,217,176,59,28,8,71,194,203,
224,68,120,21,156,7,23,192,219,225,74,184,22,62,14,183,194,23,225,27,240,0,44,133,95,194,147,8,64,200,8,3,209,70,88,8,27,241,68,66,144,88,36,1,17,33,107,145,34,164,2,169,69,154,144,14,164,27,185,141,72,
145,113,228,3,6,135,161,97,152,24,22,198,25,227,135,89,140,225,98,86,97,214,98,74,48,213,152,99,152,86,76,23,230,54,102,16,51,129,249,130,165,98,213,177,166,88,39,172,63,118,9,54,17,155,141,45,196,86,
96,143,96,91,176,151,177,3,216,97,236,59,28,14,199,192,25,226,28,112,126,184,24,92,50,110,53,174,4,183,15,215,140,187,128,235,195,13,225,38,241,120,188,42,222,20,239,130,15,193,115,240,98,124,33,190,10,
127,28,127,30,223,143,31,198,191,39,144,9,90,4,107,130,15,33,150,32,36,108,36,84,16,26,8,231,8,253,132,17,194,52,81,129,168,79,116,34,134,16,121,196,92,98,41,177,142,216,65,188,73,28,38,78,147,20,73,134,
36,23,82,36,41,153,180,129,84,73,106,34,93,38,61,38,189,33,147,201,58,100,71,114,24,89,64,94,79,174,36,159,32,95,37,15,146,63,80,148,40,38,20,79,74,28,69,66,217,78,57,74,185,64,121,64,121,67,165,82,13,
168,110,212,88,170,152,186,157,90,79,189,68,125,74,125,47,71,147,51,151,243,151,227,201,173,147,171,145,107,149,235,151,123,37,79,148,215,151,119,151,95,46,159,39,95,33,127,74,254,166,252,184,2,81,193,
64,193,83,129,163,176,86,161,70,225,180,194,61,133,73,69,154,162,149,98,136,98,154,98,137,98,131,226,53,197,81,37,188,146,129,146,183,18,79,169,64,233,176,210,37,165,33,26,66,211,165,121,210,184,180,77,
180,58,218,101,218,48,29,71,55,164,251,211,147,233,197,244,31,232,189,244,9,101,37,101,91,229,40,229,28,229,26,229,179,202,82,6,194,48,96,248,51,82,25,165,140,147,140,187,140,143,243,52,230,185,207,227,
207,219,54,175,105,94,255,188,41,149,249,42,110,42,124,149,34,149,102,149,1,149,143,170,76,85,111,213,20,213,157,170,109,170,79,212,48,106,38,106,97,106,217,106,251,213,46,171,141,207,167,207,119,158,
207,157,95,52,255,228,252,135,234,176,186,137,122,184,250,106,245,195,234,61,234,147,26,154,26,190,26,25,26,85,26,151,52,198,53,25,154,110,154,201,154,229,154,231,52,199,180,104,90,11,181,4,90,229,90,
231,181,94,48,149,153,238,204,84,102,37,179,139,57,161,173,174,237,167,45,209,62,164,221,171,61,173,99,168,179,88,103,163,78,179,206,19,93,146,46,91,55,65,183,92,183,83,119,66,79,75,47,88,47,95,175,81,
239,161,62,81,159,173,159,164,191,71,191,91,127,202,192,208,32,218,96,139,65,155,193,168,161,138,161,191,97,158,97,163,225,99,35,170,145,171,209,42,163,90,163,59,198,56,99,182,113,138,241,62,227,91,38,
176,137,157,73,146,73,141,201,77,83,216,212,222,84,96,186,207,180,207,12,107,230,104,38,52,171,53,187,199,162,176,220,89,89,172,70,214,160,57,195,60,200,124,163,121,155,249,43,11,61,139,88,139,157,22,
221,22,95,44,237,44,83,45,235,44,31,89,41,89,5,88,109,180,234,176,250,195,218,196,154,107,93,99,125,199,134,106,227,99,179,206,166,221,230,181,173,169,45,223,118,191,237,125,59,154,93,176,221,22,187,78,
187,207,246,14,246,34,251,38,251,49,7,61,135,120,135,189,14,247,216,116,118,40,187,132,125,213,17,235,232,225,184,206,241,140,227,7,39,123,39,177,211,73,167,223,157,89,206,41,206,13,206,163,11,12,23,240,
23,212,45,24,114,209,113,225,184,28,114,145,46,100,46,140,95,120,112,161,212,85,219,149,227,90,235,250,204,77,215,141,231,118,196,109,196,221,216,61,217,253,184,251,43,15,75,15,145,71,139,199,148,167,
147,231,26,207,11,94,136,151,175,87,145,87,175,183,146,247,98,239,106,239,167,62,58,62,137,62,141,62,19,190,118,190,171,125,47,248,97,253,2,253,118,250,221,243,215,240,231,250,215,251,79,4,56,4,172,9,
232,10,164,4,70,4,86,7,62,11,50,9,18,5,117,4,195,193,1,193,187,130,31,47,210,95,36,92,212,22,2,66,252,67,118,133,60,9,53,12,93,21,250,115,24,46,44,52,172,38,236,121,184,85,120,126,120,119,4,45,98,69,68,
67,196,187,72,143,200,210,200,71,139,141,22,75,22,119,70,201,71,197,69,213,71,77,69,123,69,151,69,75,151,88,44,89,179,228,70,140,90,140,32,166,61,22,31,27,21,123,36,118,114,169,247,210,221,75,135,227,
236,226,10,227,238,46,51,92,150,179,236,218,114,181,229,169,203,207,174,144,95,193,89,113,42,30,27,31,29,223,16,255,137,19,194,169,229,76,174,244,95,185,119,229,4,215,147,187,135,251,146,231,198,43,231,
141,241,93,248,101,252,145,4,151,132,178,132,209,68,151,196,93,137,99,73,174,73,21,73,227,2,79,65,181,224,117,178,95,242,129,228,169,148,144,148,163,41,51,169,209,169,205,105,132,180,248,180,211,66,37,
97,138,176,43,93,51,61,39,189,47,195,52,163,48,67,186,202,105,213,238,85,19,162,64,209,145,76,40,115,89,102,187,152,142,254,76,245,72,140,36,155,37,131,89,11,179,106,178,222,103,71,101,159,202,81,204,
17,230,244,228,154,228,110,203,29,201,243,201,251,126,53,102,53,119,117,103,190,118,254,134,252,193,53,238,107,14,173,133,214,174,92,219,185,78,119,93,193,186,225,245,190,235,143,109,32,109,72,217,240,
203,70,203,141,101,27,223,110,138,222,212,81,160,81,176,190,96,104,179,239,230,198,66,185,66,81,225,189,45,206,91,14,108,197,108,21,108,237,221,102,179,173,106,219,151,34,94,209,245,98,203,226,138,226,
79,37,220,146,235,223,89,125,87,249,221,204,246,132,237,189,165,246,165,251,119,224,118,8,119,220,221,233,186,243,88,153,98,89,94,217,208,174,224,93,173,229,204,242,162,242,183,187,87,236,190,86,97,91,
113,96,15,105,143,100,143,180,50,168,178,189,74,175,106,71,213,167,234,164,234,129,26,143,154,230,189,234,123,183,237,157,218,199,219,215,191,223,109,127,211,1,141,3,197,7,62,30,20,28,188,127,200,247,
80,107,173,65,109,197,97,220,225,172,195,207,235,162,234,186,191,103,127,95,127,68,237,72,241,145,207,71,133,71,165,199,194,143,117,213,59,212,215,55,168,55,148,54,194,141,146,198,177,227,113,199,111,
253,224,245,67,123,19,171,233,80,51,163,185,248,4,56,33,57,241,226,199,248,31,239,158,12,60,217,121,138,125,170,233,39,253,159,246,182,208,90,138,90,161,214,220,214,137,182,164,54,105,123,76,123,223,233,
128,211,157,29,206,29,45,63,155,255,124,244,140,246,153,154,179,202,103,75,207,145,206,21,156,155,57,159,119,126,242,66,198,133,241,139,137,23,135,58,87,116,62,186,180,228,210,157,174,176,174,222,203,
129,151,175,94,241,185,114,169,219,189,251,252,85,151,171,103,174,57,93,59,125,157,125,189,237,134,253,141,214,30,187,158,150,95,236,126,105,233,181,239,109,189,233,112,179,253,150,227,173,142,190,5,125,
231,250,93,251,47,222,246,186,125,229,142,255,157,27,3,139,6,250,238,46,190,123,255,94,220,61,233,125,222,253,209,7,169,15,94,63,204,122,56,253,104,253,99,236,227,162,39,10,79,42,158,170,63,173,253,213,
248,215,102,169,189,244,236,160,215,96,207,179,136,103,143,134,184,67,47,255,149,249,175,79,195,5,207,169,207,43,70,180,70,234,71,173,71,207,140,249,140,221,122,177,244,197,240,203,140,151,211,227,133,
191,41,254,182,247,149,209,171,159,126,119,251,189,103,98,201,196,240,107,209,235,153,63,74,222,168,190,57,250,214,246,109,231,100,232,228,211,119,105,239,166,167,138,222,171,190,63,246,129,253,161,251,
99,244,199,145,233,236,79,248,79,149,159,141,63,119,124,9,252,242,120,38,109,102,230,223,247,132,243,251,50,58,89,126,0,0,0,9,112,72,89,115,0,0,11,19,0,0,11,19,1,0,154,156,24,0,0,4,222,105,84,88,116,88,
77,76,58,99,111,109,46,97,100,111,98,101,46,120,109,112,0,0,0,0,0,60,120,58,120,109,112,109,101,116,97,32,120,109,108,110,115,58,120,61,34,97,100,111,98,101,58,110,115,58,109,101,116,97,47,34,32,120,58,
120,109,112,116,107,61,34,88,77,80,32,67,111,114,101,32,53,46,49,46,50,34,62,10,32,32,32,60,114,100,102,58,82,68,70,32,120,109,108,110,115,58,114,100,102,61,34,104,116,116,112,58,47,47,119,119,119,46,
119,51,46,111,114,103,47,49,57,57,57,47,48,50,47,50,50,45,114,100,102,45,115,121,110,116,97,120,45,110,115,35,34,62,10,32,32,32,32,32,32,60,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,32,
114,100,102,58,97,98,111,117,116,61,34,34,10,32,32,32,32,32,32,32,32,32,32,32,32,120,109,108,110,115,58,116,105,102,102,61,34,104,116,116,112,58,47,47,110,115,46,97,100,111,98,101,46,99,111,109,47,116,
105,102,102,47,49,46,48,47,34,62,10,32,32,32,32,32,32,32,32,32,60,116,105,102,102,58,82,101,115,111,108,117,116,105,111,110,85,110,105,116,62,49,60,47,116,105,102,102,58,82,101,115,111,108,117,116,105,
111,110,85,110,105,116,62,10,32,32,32,32,32,32,32,32,32,60,116,105,102,102,58,67,111,109,112,114,101,115,115,105,111,110,62,53,60,47,116,105,102,102,58,67,111,109,112,114,101,115,115,105,111,110,62,10,
32,32,32,32,32,32,32,32,32,60,116,105,102,102,58,88,82,101,115,111,108,117,116,105,111,110,62,55,50,60,47,116,105,102,102,58,88,82,101,115,111,108,117,116,105,111,110,62,10,32,32,32,32,32,32,32,32,32,
60,116,105,102,102,58,79,114,105,101,110,116,97,116,105,111,110,62,49,60,47,116,105,102,102,58,79,114,105,101,110,116,97,116,105,111,110,62,10,32,32,32,32,32,32,32,32,32,60,116,105,102,102,58,89,82,101,
115,111,108,117,116,105,111,110,62,55,50,60,47,116,105,102,102,58,89,82,101,115,111,108,117,116,105,111,110,62,10,32,32,32,32,32,32,60,47,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,62,10,
32,32,32,32,32,32,60,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,32,114,100,102,58,97,98,111,117,116,61,34,34,10,32,32,32,32,32,32,32,32,32,32,32,32,120,109,108,110,115,58,101,120,105,102,
61,34,104,116,116,112,58,47,47,110,115,46,97,100,111,98,101,46,99,111,109,47,101,120,105,102,47,49,46,48,47,34,62,10,32,32,32,32,32,32,32,32,32,60,101,120,105,102,58,80,105,120,101,108,88,68,105,109,101,
110,115,105,111,110,62,51,49,50,60,47,101,120,105,102,58,80,105,120,101,108,88,68,105,109,101,110,115,105,111,110,62,10,32,32,32,32,32,32,32,32,32,60,101,120,105,102,58,67,111,108,111,114,83,112,97,99,
101,62,49,60,47,101,120,105,102,58,67,111,108,111,114,83,112,97,99,101,62,10,32,32,32,32,32,32,32,32,32,60,101,120,105,102,58,80,105,120,101,108,89,68,105,109,101,110,115,105,111,110,62,49,50,53,60,47,
101,120,105,102,58,80,105,120,101,108,89,68,105,109,101,110,115,105,111,110,62,10,32,32,32,32,32,32,60,47,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,62,10,32,32,32,32,32,32,60,114,100,102,
58,68,101,115,99,114,105,112,116,105,111,110,32,114,100,102,58,97,98,111,117,116,61,34,34,10,32,32,32,32,32,32,32,32,32,32,32,32,120,109,108,110,115,58,100,99,61,34,104,116,116,112,58,47,47,112,117,114,
108,46,111,114,103,47,100,99,47,101,108,101,109,101,110,116,115,47,49,46,49,47,34,62,10,32,32,32,32,32,32,32,32,32,60,100,99,58,115,117,98,106,101,99,116,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,114,
100,102,58,66,97,103,47,62,10,32,32,32,32,32,32,32,32,32,60,47,100,99,58,115,117,98,106,101,99,116,62,10,32,32,32,32,32,32,60,47,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,62,10,32,32,32,
32,32,32,60,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,32,114,100,102,58,97,98,111,117,116,61,34,34,10,32,32,32,32,32,32,32,32,32,32,32,32,120,109,108,110,115,58,120,109,112,61,34,104,116,
116,112,58,47,47,110,115,46,97,100,111,98,101,46,99,111,109,47,120,97,112,47,49,46,48,47,34,62,10,32,32,32,32,32,32,32,32,32,60,120,109,112,58,77,111,100,105,102,121,68,97,116,101,62,50,48,49,51,45,49,
50,45,50,53,84,49,51,58,49,50,58,50,57,60,47,120,109,112,58,77,111,100,105,102,121,68,97,116,101,62,10,32,32,32,32,32,32,32,32,32,60,120,109,112,58,67,114,101,97,116,111,114,84,111,111,108,62,80,105,120,
101,108,109,97,116,111,114,32,51,46,48,60,47,120,109,112,58,67,114,101,97,116,111,114,84,111,111,108,62,10,32,32,32,32,32,32,60,47,114,100,102,58,68,101,115,99,114,105,112,116,105,111,110,62,10,32,32,
32,60,47,114,100,102,58,82,68,70,62,10,60,47,120,58,120,109,112,109,101,116,97,62,10,245,117,221,96,0,0,64,0,73,68,65,84,120,1,213,125,5,248,85,197,246,54,37,210,157,138,138,8,74,40,24,136,133,130,216,
29,215,238,46,4,17,177,175,162,32,182,168,40,96,131,133,122,189,118,97,32,97,128,216,9,22,230,21,131,18,4,105,254,239,236,181,103,237,53,107,102,246,217,231,7,62,223,243,29,206,115,126,107,214,172,245,
174,119,214,196,142,179,207,80,121,179,206,91,85,42,242,90,181,170,82,229,202,48,172,92,197,124,174,90,185,170,136,19,217,144,139,180,39,119,95,79,54,10,28,102,74,35,161,124,144,28,99,233,88,84,70,195,
43,240,170,92,153,137,33,97,156,45,110,120,105,146,57,113,147,142,168,0,41,114,97,98,165,57,36,221,109,204,152,76,60,52,195,34,138,68,150,250,10,115,102,71,137,204,74,95,40,18,180,32,148,15,158,163,225,
184,178,211,217,62,139,200,249,228,186,82,66,53,134,142,89,18,122,229,170,85,200,32,11,22,115,240,244,49,151,152,94,1,228,155,173,90,177,210,216,71,6,80,78,235,242,97,153,3,55,156,53,16,148,111,48,10,
219,172,16,158,100,201,85,65,71,194,151,113,217,62,69,42,210,205,229,39,36,56,27,41,52,147,201,152,120,28,86,161,31,60,101,210,150,172,253,220,222,12,39,169,100,61,153,170,90,82,194,38,168,55,181,42,110,
229,184,37,97,197,63,153,73,52,86,220,215,16,177,75,178,236,116,223,131,243,233,87,73,77,114,76,52,10,160,86,99,104,105,225,203,5,205,124,199,127,90,67,109,142,209,139,233,21,171,156,238,9,34,176,189,
194,241,141,99,150,228,232,219,51,160,172,82,32,85,188,73,104,135,7,123,103,35,38,83,37,18,96,25,141,5,138,197,163,71,134,38,119,169,177,94,230,196,74,142,164,196,210,40,213,75,250,74,57,51,91,181,106,
213,10,239,180,197,107,99,186,34,103,110,137,148,152,49,115,170,52,81,212,212,165,10,194,12,86,89,88,179,220,252,147,47,155,189,18,49,40,81,60,219,225,21,61,162,134,115,90,2,63,84,157,147,23,175,51,82,
255,28,23,88,184,94,224,137,102,4,219,239,52,65,97,122,32,38,180,178,33,54,174,37,233,28,100,82,69,62,139,91,70,0,140,218,128,8,110,220,127,166,46,68,207,232,35,175,96,162,88,25,100,203,181,62,228,10,
53,193,4,73,99,44,184,229,128,192,206,71,246,153,168,217,72,46,100,86,150,177,194,81,231,168,14,148,106,142,207,82,52,208,175,12,106,128,159,147,10,39,186,240,135,190,232,17,149,189,114,194,144,141,19,
12,77,45,191,49,42,149,28,154,5,21,34,91,143,227,177,74,98,38,224,121,35,38,216,112,135,9,243,43,32,16,90,113,247,32,127,53,200,16,54,6,200,228,99,6,114,33,200,232,39,249,140,186,100,118,118,141,19,87,
230,57,100,10,1,74,240,184,28,75,99,26,66,206,52,59,54,84,116,103,213,179,129,108,186,2,227,193,154,152,191,128,178,150,153,90,225,103,21,86,42,105,96,13,147,191,182,9,213,156,30,178,141,113,76,221,2,
135,241,41,146,33,244,153,141,189,178,117,49,210,18,155,169,218,152,158,241,221,208,89,54,149,163,107,166,130,152,162,178,15,88,8,85,102,108,115,39,42,227,98,36,165,41,154,15,149,99,239,25,59,131,44,226,
72,204,50,242,73,89,102,134,170,130,11,1,108,149,99,172,157,236,158,217,187,108,211,197,52,151,100,0,92,128,100,203,113,192,206,57,122,115,61,179,130,38,35,102,10,37,206,180,29,99,134,243,189,128,132,
115,138,114,27,197,128,5,4,52,129,200,84,139,54,70,162,20,160,40,251,158,100,4,144,13,150,6,132,237,107,160,151,46,146,2,203,37,13,42,96,201,46,69,4,153,177,160,125,213,42,149,87,216,171,70,135,173,76,
99,210,187,57,80,142,35,133,137,15,8,100,50,96,239,145,11,38,156,172,138,184,123,120,153,194,119,207,105,90,230,102,37,223,157,106,138,131,24,4,153,222,196,223,153,219,34,123,49,216,24,13,159,140,99,201,
113,69,8,219,178,213,253,139,64,212,107,250,212,55,210,151,217,81,43,22,217,161,30,50,98,131,72,8,227,83,208,38,136,192,190,161,224,86,199,57,181,138,216,114,40,67,40,100,85,100,36,30,40,203,229,145,78,
116,158,28,31,4,146,66,49,43,97,76,176,146,70,22,200,147,20,37,223,203,9,39,221,41,180,23,87,154,84,76,86,148,214,24,8,231,138,16,5,115,153,94,63,28,248,112,90,242,185,177,153,15,66,26,9,149,104,210,217,
33,97,75,130,48,184,244,98,165,20,200,160,154,84,65,150,110,126,48,89,171,28,139,23,75,131,200,219,128,162,39,242,67,72,182,129,16,222,136,36,123,178,148,190,50,74,0,71,86,187,114,112,160,72,4,41,75,87,
118,244,13,124,141,116,140,201,197,189,40,116,113,251,88,196,127,74,207,211,210,14,3,206,21,69,148,204,165,28,228,83,210,32,232,229,7,130,166,36,84,73,3,25,139,135,95,142,151,158,168,236,207,206,172,129,
16,84,74,3,200,129,96,156,110,50,181,73,87,142,92,68,103,16,8,194,5,208,130,33,216,217,10,30,85,125,82,32,145,33,123,246,6,40,76,64,53,199,70,172,240,157,125,102,226,115,224,42,19,68,198,45,149,67,75,
42,250,215,143,5,211,160,210,225,224,225,249,41,242,65,242,17,60,200,76,193,211,146,17,114,190,164,9,242,103,199,20,148,114,152,155,61,237,194,116,86,35,255,156,147,32,120,80,201,97,73,136,78,84,227,92,
160,85,10,46,88,228,137,151,214,114,131,35,249,66,104,106,88,184,1,236,78,112,113,16,77,38,215,49,28,139,32,114,29,179,40,48,139,144,73,153,242,215,142,153,143,35,229,113,192,44,18,119,230,242,45,29,80,
91,224,177,98,21,217,223,88,85,145,40,218,70,158,13,33,130,155,144,88,32,166,162,208,84,209,224,137,36,248,94,190,61,219,144,64,238,142,25,119,174,75,85,57,162,232,12,99,242,42,229,194,32,28,209,207,0,
87,177,177,111,131,170,232,68,37,102,248,100,32,223,159,171,210,24,220,230,180,156,252,73,30,19,113,125,245,57,189,91,155,57,147,94,69,81,93,197,181,62,8,87,17,98,204,49,139,23,145,148,163,178,202,162,
160,219,56,3,161,46,204,44,21,68,177,226,255,91,247,98,28,211,137,148,81,229,132,36,254,206,221,157,32,34,231,13,142,44,11,203,12,89,40,139,139,169,187,100,197,81,72,201,69,15,20,190,98,140,153,49,92,
1,50,142,11,211,136,4,149,198,121,19,85,218,21,162,21,137,39,125,69,83,179,199,134,85,32,47,69,153,130,221,125,23,95,147,185,37,18,12,216,93,85,113,209,55,128,87,73,100,118,15,142,173,172,22,171,114,232,
160,90,6,190,196,250,39,101,201,147,233,73,165,10,206,54,44,164,6,241,33,161,16,116,177,194,142,26,40,84,14,130,7,149,174,183,110,157,91,91,188,100,51,169,47,199,8,33,24,37,111,162,114,96,139,203,10,35,
4,225,28,11,42,136,133,10,56,254,64,93,41,84,37,49,181,65,169,53,137,227,145,163,118,247,232,70,13,16,40,212,145,140,239,33,165,10,5,168,138,228,174,64,148,77,12,57,160,151,36,69,218,3,150,165,84,65,14,
65,101,41,164,210,245,212,252,10,130,243,0,224,56,73,55,169,148,82,101,78,8,101,159,99,9,40,101,92,18,156,169,25,33,33,236,156,89,132,198,149,227,146,20,10,77,84,201,155,89,178,32,107,253,0,242,188,17,
150,233,55,23,126,126,225,89,140,177,12,33,193,165,222,151,153,45,85,229,115,54,217,116,201,32,144,227,98,249,59,25,15,68,13,47,153,108,200,152,146,158,148,217,128,93,88,144,102,86,41,195,85,240,220,204,
64,217,214,89,88,247,175,155,25,183,174,34,165,96,27,185,117,193,90,14,19,27,0,249,94,236,206,66,89,246,37,140,203,205,30,217,151,202,106,161,137,202,237,129,64,44,57,143,208,176,28,108,64,80,25,204,111,
208,82,134,246,229,10,184,248,32,129,113,137,172,33,125,34,119,42,80,144,191,143,172,188,96,192,185,34,99,54,96,193,7,137,105,202,114,225,184,69,188,184,117,226,92,39,240,75,61,38,86,4,147,141,75,10,76,
149,44,101,145,3,73,165,4,100,3,169,92,131,178,140,171,99,241,252,180,195,70,26,75,14,218,145,236,67,211,85,34,84,109,222,124,29,137,82,84,198,51,88,254,187,168,179,227,91,99,237,26,7,236,191,95,205,154,
53,103,206,156,9,128,158,61,119,234,210,165,243,151,95,126,149,15,134,54,228,188,218,181,107,219,107,231,30,115,230,206,93,184,104,17,155,25,194,161,23,198,165,65,147,239,228,153,85,114,12,123,121,109,
111,187,209,70,59,247,236,49,123,246,236,191,254,90,152,101,198,15,167,28,61,3,106,87,56,40,27,243,152,96,13,9,118,136,40,181,41,114,220,64,157,167,178,198,136,195,111,141,96,109,74,80,245,176,161,168,
94,189,122,143,30,59,110,177,197,230,43,86,172,152,61,123,142,54,17,200,61,123,236,212,165,115,231,233,211,166,167,60,96,154,14,107,209,34,97,175,161,214,68,185,70,141,26,117,234,212,89,188,120,177,1,
139,199,202,70,145,29,112,102,66,74,123,43,135,135,110,50,252,116,50,173,11,244,225,35,42,176,100,27,213,26,112,248,225,135,238,180,99,119,252,230,97,249,242,229,179,103,205,254,244,243,207,95,124,113,
236,146,197,75,164,11,201,10,199,180,212,62,91,199,198,117,235,214,29,120,249,165,79,63,253,236,251,239,127,0,229,137,39,30,191,201,198,237,158,121,230,57,54,8,10,62,142,52,235,182,245,214,23,94,112,222,
153,103,245,253,117,230,111,82,95,92,206,193,247,27,5,216,109,183,237,118,193,249,231,157,213,187,239,239,127,252,129,162,116,103,123,169,204,103,146,239,194,71,60,5,82,18,159,97,21,67,131,227,79,254,
156,105,175,2,39,69,2,47,201,97,227,141,219,221,63,250,222,218,181,107,45,91,182,236,225,49,143,14,29,122,107,6,166,56,84,174,76,131,225,217,231,158,207,96,149,77,230,28,145,202,106,69,8,124,228,136,97,
224,188,227,78,187,172,92,105,126,2,39,115,72,33,137,91,198,48,66,132,213,197,45,217,5,66,250,115,112,169,130,12,44,249,86,181,237,218,110,180,227,142,59,44,93,186,116,225,194,133,235,172,211,242,226,
11,207,127,252,177,49,77,154,52,86,102,170,73,4,168,108,98,69,248,6,223,65,251,128,101,178,206,160,143,184,42,232,72,202,180,165,120,60,87,188,243,237,171,86,169,250,192,232,123,15,253,215,193,89,150,
176,248,37,163,221,111,38,219,56,152,24,19,234,157,84,179,177,143,195,238,168,98,153,5,165,172,86,173,218,131,15,220,119,216,161,255,34,3,202,3,201,65,100,115,64,112,223,140,124,198,233,167,14,191,253,
86,205,214,35,31,132,101,16,22,176,202,99,150,30,127,194,41,221,182,233,62,124,248,72,214,67,232,184,105,199,215,95,127,185,121,203,230,196,132,171,128,204,253,168,72,150,46,70,6,82,6,40,13,170,86,89,
107,237,234,15,62,52,250,176,195,15,101,228,255,60,254,196,61,247,142,162,89,10,74,212,76,249,201,60,255,81,33,124,68,229,144,104,15,203,36,128,34,9,183,221,54,98,198,140,239,32,159,126,218,41,189,123,
159,177,219,110,187,60,242,200,127,80,220,96,131,245,47,190,232,252,77,55,237,52,127,254,130,23,95,124,105,228,200,187,112,134,3,253,134,27,182,62,249,228,19,187,118,221,170,78,157,218,111,189,245,246,
11,47,188,52,105,210,155,208,103,107,57,250,222,174,127,136,130,193,209,172,121,179,99,143,61,97,201,210,165,176,170,82,165,10,230,198,226,37,75,78,62,249,116,227,101,95,96,184,231,30,187,31,119,236,209,
173,91,183,254,241,199,31,39,189,241,230,240,225,119,0,9,47,51,150,18,182,56,215,234,223,255,28,156,71,213,170,93,235,131,15,62,188,246,186,27,126,251,237,119,24,172,189,246,218,39,28,119,44,152,175,187,
238,58,211,166,127,249,250,235,227,31,127,252,73,58,201,185,246,154,171,126,253,245,183,39,159,122,230,226,139,6,108,181,213,150,135,28,122,228,143,63,254,68,49,91,181,90,119,240,160,129,56,63,95,111,
189,86,71,29,117,196,23,211,166,93,114,201,229,84,181,214,90,213,110,184,225,154,109,183,217,102,209,162,69,255,125,226,201,187,239,190,143,244,150,192,142,181,106,213,6,129,107,174,185,254,183,223,13,
1,126,161,21,160,186,254,250,235,95,112,65,255,205,54,237,244,247,226,197,31,127,244,201,141,55,221,242,199,31,127,192,183,79,159,179,118,238,185,83,163,70,141,64,242,230,161,183,126,246,249,23,212,46,
144,196,169,227,196,137,147,250,246,237,221,182,237,70,96,120,227,141,67,167,78,125,207,48,28,124,133,207,208,237,154,177,35,239,72,187,70,227,252,244,243,141,55,12,157,250,238,123,200,249,128,243,250,
29,121,228,225,203,87,172,120,250,153,255,130,237,137,39,157,86,173,106,213,163,143,62,114,135,29,182,111,214,180,201,135,31,125,60,97,226,36,156,254,16,31,110,78,144,51,214,142,62,103,159,181,207,222,
123,194,108,224,192,75,151,46,89,122,248,145,199,80,195,161,217,165,215,206,151,94,122,17,150,251,123,239,190,19,103,106,119,223,125,47,70,8,78,249,150,44,89,178,197,230,93,208,125,184,156,249,225,135,
31,111,184,113,232,123,239,153,51,47,188,116,86,175,189,158,186,149,106,233,115,67,140,186,147,78,232,186,245,86,117,106,187,163,206,244,126,245,190,125,207,198,73,120,195,134,13,63,251,236,139,135,31,
30,131,241,108,242,214,121,179,245,90,173,123,212,145,135,127,241,5,122,246,178,30,59,237,216,186,245,6,163,70,61,128,86,31,122,200,193,87,14,26,242,225,135,31,17,248,89,103,157,190,251,110,187,158,127,
254,69,95,127,253,205,6,27,108,112,241,197,60,236,199,142,28,121,39,13,123,99,105,71,53,121,21,252,84,83,47,124,68,101,44,116,128,122,115,21,11,245,234,213,131,252,243,79,63,99,102,52,110,212,112,204,
195,247,119,233,210,101,236,216,87,126,255,253,247,211,78,59,229,220,254,125,105,113,170,91,191,94,247,238,219,79,158,242,14,250,117,235,173,183,30,54,236,230,246,29,218,155,54,216,102,192,140,49,33,124,
254,197,23,56,7,222,118,219,109,136,64,231,205,240,218,20,25,145,54,144,247,223,111,223,235,174,29,210,161,67,251,247,222,127,191,106,213,170,77,155,52,81,6,40,222,120,195,53,71,30,113,216,119,223,125,
55,97,252,196,238,59,108,127,207,93,119,224,144,8,88,140,149,125,247,221,251,231,159,255,247,240,195,143,174,93,189,250,249,3,250,159,122,234,73,72,16,222,56,83,192,89,195,237,183,221,12,2,223,255,240,
227,28,113,41,133,16,127,255,109,174,88,254,247,191,95,62,250,232,227,175,190,202,40,93,118,217,37,219,116,219,122,234,212,119,27,53,106,136,65,217,171,87,79,152,225,117,227,13,215,38,4,190,159,48,97,
34,146,112,239,125,119,174,85,125,45,10,68,159,176,1,236,163,143,62,136,107,138,223,126,255,227,199,31,126,218,114,203,45,230,206,157,11,253,77,55,94,123,252,113,199,212,172,85,235,163,143,62,233,186,
213,150,163,71,223,211,126,147,141,13,104,165,74,45,215,105,121,192,1,251,14,31,62,108,173,181,214,194,168,106,223,126,147,155,110,186,161,78,189,186,77,155,55,195,84,135,129,97,248,241,199,72,26,162,
52,105,218,216,237,154,147,251,245,235,147,192,56,56,159,3,103,147,141,111,186,233,122,140,108,76,173,90,181,106,225,89,163,69,11,23,126,244,225,199,120,47,91,178,244,138,129,151,157,120,194,113,159,127,
254,197,43,175,188,214,118,163,54,109,90,183,70,38,9,135,62,17,235,166,27,175,3,103,248,126,244,113,198,25,36,235,215,175,135,187,6,0,4,212,199,31,127,66,61,75,94,45,90,52,255,235,175,191,32,99,225,3,
231,89,115,230,152,97,83,185,18,46,17,135,143,24,134,37,21,196,208,203,67,209,192,218,181,201,69,103,245,158,59,65,152,170,248,19,151,151,102,212,189,61,197,140,186,110,102,212,117,232,212,129,6,228,208,
155,111,60,246,216,163,235,215,111,128,37,105,227,141,219,130,85,243,22,205,156,158,197,96,171,92,25,73,198,68,5,32,230,103,155,54,27,238,177,199,110,144,209,198,42,85,171,28,116,224,1,104,227,183,223,
125,215,164,89,147,49,99,146,97,255,50,13,251,147,121,216,103,163,218,28,55,66,111,230,106,5,30,18,86,97,142,55,129,29,30,84,222,217,90,9,237,218,182,109,218,180,41,174,205,14,60,112,191,89,179,103,191,
255,225,71,224,116,220,241,199,226,154,179,111,191,254,19,198,79,130,61,70,198,17,135,31,118,251,237,119,224,48,245,233,167,159,237,190,231,190,203,150,45,131,126,250,151,95,13,185,234,202,110,219,108,
253,229,87,95,129,150,65,230,125,110,168,211,87,173,122,254,249,23,113,210,181,219,174,187,76,152,96,160,118,222,185,7,62,95,122,233,101,99,76,71,76,227,84,249,172,51,79,199,2,124,240,191,14,255,254,251,
31,80,3,141,49,16,175,78,157,58,246,236,217,227,249,23,94,164,227,222,183,223,206,56,239,188,126,187,238,218,11,75,9,206,103,14,58,248,48,162,116,223,168,209,111,76,122,29,211,12,103,10,240,6,11,44,225,
111,191,61,249,244,51,122,207,156,249,171,192,171,132,195,200,67,15,141,65,247,191,250,218,184,251,31,120,72,166,11,75,114,159,190,231,226,32,208,107,231,158,55,15,189,97,251,237,183,29,63,97,98,167,142,
29,112,135,236,185,231,95,188,244,82,115,224,37,2,56,128,128,128,132,61,254,132,99,49,4,111,190,101,24,22,111,232,209,16,12,29,172,77,61,122,236,132,19,144,126,231,14,88,178,100,41,232,221,125,247,72,
44,228,125,251,246,55,190,171,42,97,149,188,238,186,27,113,177,135,18,14,140,123,239,189,103,199,142,29,222,125,247,189,135,30,126,4,75,146,100,120,236,209,71,163,107,250,244,237,143,35,48,140,209,53,
88,59,112,246,129,174,65,202,12,206,245,55,141,121,196,224,92,115,245,224,189,247,218,19,39,162,192,185,114,240,16,12,77,76,248,43,174,188,10,85,120,109,212,182,13,14,92,87,94,121,21,232,161,136,163,110,
162,206,62,54,237,212,9,135,169,140,243,54,221,238,190,107,196,89,103,157,209,247,156,254,0,185,231,158,59,26,55,106,196,104,236,134,38,32,225,152,18,55,223,60,140,19,142,0,184,203,120,253,13,67,145,112,
88,114,3,49,181,146,110,213,89,165,110,101,76,8,24,117,187,237,190,79,58,234,166,127,57,100,200,160,173,183,218,106,218,23,211,59,119,222,108,199,238,59,188,251,222,251,125,250,156,139,211,31,88,82,194,
215,174,241,8,247,172,81,154,181,34,125,97,41,196,41,27,122,246,218,107,111,64,167,119,234,212,161,121,243,102,163,71,63,176,114,197,202,52,183,125,206,77,115,59,230,1,51,236,111,27,137,220,90,111,19,
32,147,165,100,7,51,27,200,17,197,134,250,103,110,92,81,82,192,57,30,217,76,155,54,29,221,191,104,225,34,204,159,205,187,116,193,180,169,86,165,26,78,24,80,139,19,60,156,3,183,106,181,238,55,223,124,107,
194,175,170,132,187,163,45,91,180,104,220,216,92,208,54,108,208,0,202,148,150,165,75,205,193,156,199,137,28,142,33,24,226,88,38,129,137,187,184,191,252,242,11,150,97,56,242,42,213,188,89,211,150,45,91,
124,246,217,231,63,252,248,99,58,225,77,66,156,140,108,190,121,23,184,252,241,199,172,158,59,239,4,97,85,82,217,182,109,27,200,120,161,11,113,222,219,170,85,171,186,117,235,204,157,55,15,103,65,140,131,
218,81,163,31,228,65,147,152,187,31,246,212,154,181,152,123,152,165,40,98,50,227,179,73,114,120,39,2,179,102,205,194,148,131,146,198,247,70,27,25,2,50,22,134,14,52,47,191,252,42,41,41,45,93,186,116,134,
242,141,55,222,194,44,133,240,238,251,239,47,88,176,0,7,91,202,0,53,244,217,231,95,64,21,94,8,138,137,138,105,96,124,233,40,39,24,110,177,133,233,154,234,213,215,66,30,240,251,1,167,107,18,119,28,115,
40,40,78,19,48,81,155,36,125,148,212,152,15,176,162,218,41,147,223,57,248,224,3,71,12,191,117,196,200,187,48,13,248,226,141,45,51,206,201,253,197,169,239,76,77,56,111,206,6,132,38,139,144,9,92,41,169,
8,98,36,224,72,107,26,152,220,13,73,179,250,135,155,213,54,109,204,34,238,14,0,140,7,44,1,102,212,37,221,209,176,81,67,160,97,5,196,231,27,147,222,164,89,10,153,250,197,207,155,89,141,236,235,165,177,
175,156,126,218,41,155,110,218,17,135,247,94,187,236,12,245,139,201,145,99,115,202,237,218,213,123,246,234,129,117,11,55,20,49,236,215,219,96,61,12,123,235,154,243,55,29,174,57,25,128,179,62,85,200,193,
83,85,35,70,222,57,123,206,156,243,206,61,103,217,242,101,179,102,207,74,134,87,229,22,45,155,99,94,13,29,122,189,52,198,132,68,113,191,253,246,193,5,15,102,194,223,127,255,141,158,147,6,82,166,188,16,
233,231,158,123,30,39,147,221,186,109,253,235,175,191,226,250,237,158,123,71,145,37,55,169,105,211,102,208,224,52,140,53,100,64,61,133,79,176,106,217,178,57,148,56,91,59,177,210,113,84,139,207,250,245,
234,227,19,235,55,22,105,28,130,48,218,48,112,193,115,230,223,191,50,212,210,165,75,113,72,49,29,31,120,5,149,149,240,245,12,185,47,196,151,52,24,220,149,204,224,110,222,204,18,56,33,35,208,160,190,33,
192,177,32,183,104,222,28,231,186,191,252,98,190,163,226,23,214,108,200,95,126,245,53,105,176,120,227,100,100,235,174,91,225,59,45,164,17,36,64,114,193,252,52,153,208,192,204,63,196,81,19,154,55,55,93,
131,147,82,6,135,64,93,3,1,56,116,230,9,121,209,34,131,99,142,48,201,108,167,166,50,213,91,110,189,29,157,136,19,28,92,166,142,31,63,97,240,224,171,103,205,154,13,123,126,53,111,150,114,230,245,148,56,
227,216,72,12,97,201,104,236,21,19,76,3,237,104,33,98,212,64,156,42,195,229,196,19,143,195,155,125,27,52,108,128,160,18,220,29,117,230,212,90,142,10,140,28,246,245,5,90,49,105,26,145,140,19,58,76,212,
94,189,118,198,68,221,101,151,157,191,251,254,123,58,37,4,25,63,183,13,234,213,79,153,132,135,144,8,72,227,85,40,124,177,226,19,21,151,40,51,102,124,215,184,97,35,156,137,237,183,239,62,180,236,253,249,
231,252,70,13,27,237,187,239,129,75,150,36,7,253,132,193,130,5,127,225,184,55,232,202,203,231,206,157,119,204,177,39,34,59,152,27,15,63,52,218,103,163,52,47,191,250,218,133,23,14,192,65,245,183,223,204,
183,44,99,95,126,133,242,197,61,65,93,184,206,58,235,168,233,68,6,200,15,132,121,115,255,132,239,192,129,131,112,22,202,248,244,101,210,149,87,94,14,38,87,13,185,22,29,0,168,151,199,62,79,6,136,130,238,
193,241,7,0,60,218,216,215,8,116,190,71,125,40,42,150,45,91,46,74,169,248,231,252,132,192,149,131,113,133,156,46,219,149,112,143,196,28,33,229,11,4,154,53,107,83,187,86,205,133,56,55,177,175,255,253,252,
63,136,184,183,241,254,123,239,147,174,213,186,235,226,160,189,24,115,210,52,207,144,180,182,209,191,212,132,249,243,231,55,106,220,104,191,253,15,162,182,19,19,116,13,185,165,56,52,164,228,167,135,58,
111,222,188,115,250,157,135,35,70,223,62,189,119,222,185,103,141,154,53,207,56,243,108,105,245,203,204,95,80,92,175,85,43,250,190,13,114,202,89,158,7,74,7,146,41,40,100,211,174,108,29,140,53,240,207,121,
161,110,93,178,148,199,6,144,130,163,206,192,175,92,133,59,157,48,88,103,221,117,42,217,196,18,11,249,153,142,162,68,69,63,175,155,241,237,140,233,211,191,196,217,226,211,79,61,187,97,235,214,35,70,220,
65,54,233,176,223,15,195,62,251,146,146,115,43,135,16,174,243,232,92,199,15,4,13,13,111,89,197,50,46,138,203,248,34,68,37,17,40,163,239,127,16,119,38,207,237,215,7,87,237,40,126,243,205,55,184,153,214,
161,83,251,63,23,44,192,123,222,188,63,231,205,157,183,98,249,114,180,10,119,122,112,19,248,147,143,63,65,177,251,14,219,49,131,84,192,2,78,76,146,50,201,24,187,19,39,190,129,3,200,118,219,109,139,179,
136,175,190,252,26,121,161,212,144,215,204,153,51,113,238,218,165,203,102,85,215,50,123,202,152,140,152,5,51,121,219,0,223,124,107,78,63,182,238,214,213,144,177,239,197,75,77,66,113,70,132,91,187,255,
249,207,127,17,8,247,9,208,175,228,36,67,88,24,243,151,162,227,19,55,87,80,196,141,132,172,150,198,22,13,50,250,76,60,240,65,231,63,104,5,214,41,34,240,231,252,249,139,151,44,86,153,199,217,59,142,21,
93,182,216,156,26,66,159,95,126,109,142,165,93,54,239,66,197,102,45,154,131,36,214,71,108,212,105,52,222,74,193,124,22,253,109,102,59,238,114,35,10,41,65,3,55,204,112,195,105,222,159,24,228,24,90,243,
241,94,145,220,144,79,189,64,91,100,143,29,209,216,218,201,253,27,214,192,30,151,27,184,122,199,168,221,188,75,103,78,11,125,191,101,158,79,0,231,46,155,209,104,193,77,50,226,204,139,84,26,206,254,73,
243,80,181,202,162,228,140,0,55,195,56,3,214,36,240,55,216,173,124,196,38,135,13,55,220,208,140,186,151,198,126,250,217,103,43,87,173,236,222,125,123,232,77,19,171,84,254,241,39,115,15,31,247,147,21,52,
231,205,88,202,1,153,140,46,16,123,249,229,87,112,131,125,175,228,222,245,75,47,167,119,25,190,69,110,49,236,59,182,167,172,210,39,34,18,66,150,31,124,3,184,34,185,59,43,190,8,52,75,128,29,48,210,18,178,
228,150,29,81,85,133,52,98,25,68,141,44,198,7,46,151,111,187,109,228,160,65,151,159,117,230,105,184,232,191,247,222,209,184,188,185,236,223,151,116,216,228,201,247,63,248,16,87,167,155,118,234,56,120,
200,53,159,124,246,41,190,101,193,201,210,219,111,79,217,164,253,198,135,28,114,176,193,145,76,208,141,161,19,173,103,159,125,126,216,176,161,184,134,188,243,174,123,140,139,251,194,113,233,169,167,158,
57,236,176,67,254,243,232,195,143,62,250,31,76,54,12,169,129,87,14,166,17,76,159,147,38,189,137,231,156,240,21,14,178,129,7,51,106,214,172,129,187,44,163,70,63,240,195,15,63,190,243,206,84,60,78,180,255,
254,251,226,32,115,236,177,71,201,197,91,157,239,201,53,30,20,62,253,228,51,204,237,125,246,222,139,238,66,191,250,234,56,116,9,244,166,99,146,20,217,68,25,101,152,192,40,16,248,33,107,77,229,202,143,
140,121,108,215,93,122,221,112,221,213,184,15,132,133,25,183,58,206,237,127,1,2,225,198,201,65,7,238,95,99,237,181,63,254,228,83,220,74,133,11,200,203,92,101,32,66,250,244,211,207,21,195,123,238,29,181,
215,94,123,200,174,193,253,24,156,184,178,83,202,217,12,101,67,27,233,162,86,79,158,252,206,1,7,236,135,175,43,176,206,64,190,230,234,65,0,127,247,221,119,155,52,105,138,107,135,239,190,251,222,152,37,
46,132,240,217,23,211,112,201,112,208,65,7,224,96,251,201,39,159,28,119,108,202,153,3,65,160,116,73,13,228,201,147,167,28,115,244,145,167,159,122,10,238,252,225,116,26,107,65,106,96,168,36,47,22,220,172,
190,244,18,186,181,230,14,59,108,135,195,6,186,53,53,174,84,233,147,79,63,193,8,217,97,251,237,222,126,107,178,25,117,255,58,8,85,192,64,246,94,31,55,1,223,74,28,120,224,254,181,235,212,70,163,182,219,
110,155,73,19,223,120,238,185,23,252,158,85,35,1,23,165,125,251,158,125,212,145,135,225,196,240,135,239,211,88,37,115,203,148,72,224,84,83,63,166,181,220,58,26,184,160,42,230,170,57,161,167,183,177,54,
141,176,239,212,219,252,161,133,65,37,23,221,73,26,60,56,130,153,128,111,219,54,218,168,13,110,105,158,117,86,223,191,22,252,117,230,153,167,221,115,247,200,127,95,122,17,190,236,2,2,78,231,112,158,80,
175,94,221,59,238,184,253,168,35,143,56,255,194,75,112,175,168,114,50,235,179,56,105,232,76,1,233,205,183,222,198,97,8,203,21,58,195,169,176,5,220,38,125,234,233,103,241,13,33,174,102,241,173,230,50,156,
175,162,69,73,118,233,19,215,159,103,247,233,247,230,155,111,239,185,199,110,120,202,100,232,77,215,227,182,13,157,162,60,112,255,67,95,76,155,126,213,224,43,174,186,234,10,24,160,155,45,170,254,139,204,
202,55,214,192,225,35,238,68,211,112,201,119,202,201,39,170,204,40,231,32,129,165,203,151,74,64,184,224,14,228,21,87,12,198,9,194,153,103,156,214,239,156,62,184,164,92,142,51,233,229,203,251,245,27,128,
147,246,30,61,119,186,228,226,11,240,168,192,213,87,95,55,22,55,48,66,185,146,113,113,168,196,29,93,201,112,198,119,223,157,117,246,57,184,16,229,174,65,86,211,158,77,60,121,36,240,161,143,24,62,246,216,
227,184,135,119,209,69,231,95,61,100,80,131,250,245,192,240,136,35,14,187,247,222,187,46,190,248,2,244,206,101,151,95,105,102,105,194,135,142,168,248,10,231,156,115,206,51,156,123,236,120,241,69,9,231,
107,174,31,235,222,226,206,98,217,225,7,13,190,214,130,25,188,134,221,58,20,247,183,185,57,89,162,196,29,102,153,213,17,195,135,161,35,240,5,222,226,191,23,75,228,191,22,44,28,46,70,221,128,243,47,198,
109,91,130,197,165,239,89,189,207,193,125,80,124,17,122,197,192,127,99,89,92,176,240,47,4,82,61,203,28,88,192,205,69,220,108,195,85,58,14,212,172,244,135,61,78,94,184,54,77,50,29,159,147,79,84,17,79,167,
202,142,49,118,148,66,101,249,127,207,200,1,71,39,229,210,52,149,237,116,231,42,242,66,96,214,64,192,144,194,201,240,156,57,115,209,175,172,175,90,173,106,253,250,245,113,203,68,25,203,184,48,150,181,
24,76,175,190,242,34,102,245,49,199,156,192,56,153,96,201,224,164,177,89,179,166,184,240,224,155,120,153,141,149,112,22,4,27,220,122,249,43,57,113,181,234,74,13,26,52,192,245,27,214,39,214,248,130,164,
196,181,104,78,211,166,77,254,248,99,22,6,13,43,165,160,188,170,38,36,113,160,51,207,3,211,203,242,79,75,201,157,85,60,216,128,169,130,229,137,39,12,166,1,26,8,158,120,122,89,226,167,50,45,72,126,5,22,
210,42,85,50,134,214,44,233,154,186,115,230,204,73,187,198,229,16,128,73,78,22,26,55,110,132,213,22,39,80,212,40,20,209,185,96,168,250,142,221,97,150,114,158,51,135,149,37,5,160,129,222,90,107,85,71,243,
97,172,18,232,187,195,222,116,107,211,166,243,23,44,192,115,114,210,128,125,65,195,140,58,73,67,52,185,70,141,26,248,118,23,207,141,200,243,41,39,111,18,180,148,28,28,246,142,147,237,133,76,41,200,100,
74,79,114,38,170,172,205,233,0,105,246,143,202,56,102,227,234,247,132,19,142,59,251,236,126,111,188,245,150,31,139,58,35,72,149,251,201,247,90,3,154,178,210,205,198,162,75,136,243,106,146,12,54,156,91,
167,192,99,198,202,140,221,99,130,194,209,238,220,88,223,95,52,223,175,252,167,53,146,182,230,188,102,99,231,100,0,129,252,36,192,222,87,122,148,178,107,84,85,101,26,19,11,89,0,87,161,85,160,136,51,189,
93,118,237,213,180,73,19,92,57,76,122,227,205,28,132,60,170,228,182,70,8,203,108,36,128,129,190,247,108,16,31,39,84,62,249,116,172,72,123,105,228,18,150,129,164,149,115,214,227,186,72,51,146,75,143,206,
24,25,23,203,223,195,205,165,103,174,111,131,175,210,4,130,110,197,149,65,254,54,45,20,221,165,234,66,7,221,97,98,17,92,107,183,36,125,237,37,161,107,17,40,165,9,1,190,116,15,24,26,85,116,162,162,46,56,
194,24,71,231,61,22,172,72,59,25,84,8,120,250,12,207,115,97,138,242,163,149,162,82,139,146,170,189,205,105,108,232,124,92,83,101,239,24,103,24,72,218,137,153,12,65,0,62,44,108,50,165,5,143,254,184,28,
61,26,154,195,0,79,65,36,130,228,99,249,75,247,44,174,173,45,247,175,68,203,241,45,30,168,184,101,78,184,226,85,171,201,63,230,174,250,34,200,71,249,22,108,184,88,53,162,171,27,135,139,158,250,178,69,
65,65,68,117,60,10,146,118,124,202,47,196,162,151,143,148,122,48,109,133,204,122,178,83,181,42,28,45,25,124,241,78,190,236,194,80,172,81,238,178,200,198,82,233,200,118,86,59,74,46,120,243,156,131,70,145,
243,1,25,153,5,47,4,215,252,127,36,112,90,192,89,102,70,234,253,230,24,75,63,93,21,74,8,7,146,209,17,49,125,214,87,105,125,42,70,35,169,20,32,81,8,51,28,41,189,125,31,70,96,26,130,67,216,50,2,94,150,58,
67,230,184,228,159,68,167,90,78,174,66,230,41,154,122,36,19,55,3,180,214,190,198,214,148,241,87,45,234,240,116,96,21,121,212,170,255,136,77,134,74,154,230,3,178,9,159,179,200,6,58,225,18,211,88,90,24,
135,5,223,151,171,2,2,183,69,12,128,128,89,17,21,67,89,99,157,22,27,130,24,198,90,148,232,245,81,49,175,81,94,220,52,190,125,26,204,210,201,254,166,207,250,42,6,193,24,57,61,151,225,9,73,98,6,1,83,219,
16,233,44,95,54,83,12,204,52,242,48,217,186,160,16,226,160,92,57,46,233,101,244,76,150,56,30,115,5,184,102,139,224,160,18,46,139,56,149,103,146,174,62,192,130,44,217,222,183,88,225,171,66,154,28,132,144,
121,170,11,210,147,80,178,35,164,62,7,51,171,66,7,137,126,145,80,153,141,144,82,124,219,173,217,176,20,54,165,69,17,145,140,99,113,115,154,147,254,111,110,1,6,30,122,16,69,166,53,104,80,178,25,49,210,
202,145,193,89,80,6,105,10,120,181,79,202,249,198,140,80,132,67,6,101,187,45,117,23,137,2,14,153,33,45,153,125,98,199,137,146,122,86,50,19,37,72,99,85,229,23,141,177,224,150,245,105,194,144,99,149,133,
233,71,97,13,3,178,166,184,160,56,148,132,138,25,4,245,10,92,178,226,14,34,101,142,165,242,162,34,190,4,133,128,175,126,101,173,148,195,128,158,125,214,53,112,22,227,71,66,41,185,106,243,22,235,24,211,
228,141,102,160,229,244,230,175,21,77,209,123,113,173,17,248,173,176,43,85,194,195,86,120,28,20,95,217,169,239,184,28,67,118,207,23,132,79,206,190,74,104,9,30,100,199,19,23,41,43,225,101,68,47,101,105,
154,242,67,83,173,133,146,89,66,114,106,84,95,27,223,24,155,31,52,33,135,88,175,147,116,5,58,140,67,88,156,132,143,200,30,12,104,166,129,36,191,97,84,172,35,9,85,113,115,186,50,72,64,146,41,38,227,139,
71,60,168,132,199,39,205,239,7,24,51,95,8,182,75,54,205,186,99,160,249,44,76,50,173,129,18,176,219,22,158,79,76,158,142,18,153,244,33,88,3,28,188,212,48,8,5,101,143,196,62,5,199,247,198,120,41,14,178,
24,156,44,212,11,177,79,227,78,47,102,21,226,227,220,245,205,110,247,11,83,57,230,16,76,22,109,132,232,223,109,182,233,118,97,178,119,145,250,233,61,190,164,198,179,123,123,236,185,219,250,235,173,135,
39,185,198,143,159,248,202,171,227,248,215,27,128,195,195,116,120,6,205,199,125,227,205,183,240,168,160,220,87,9,148,164,25,126,99,121,209,133,231,159,113,102,31,252,148,84,234,73,198,56,86,202,178,154,
67,190,202,101,228,29,183,111,220,174,237,78,61,119,93,145,252,47,110,170,54,141,235,146,84,28,68,209,105,75,48,156,48,14,136,193,232,1,187,138,169,146,145,84,183,78,29,185,199,85,17,36,63,237,228,165,
216,170,174,44,130,140,190,158,49,99,6,198,79,73,99,23,220,201,179,162,17,131,114,17,180,21,129,20,132,210,206,73,153,179,20,4,201,14,161,224,97,214,227,228,29,4,130,210,64,172,90,213,161,253,38,227,94,
27,139,199,65,156,133,95,248,24,40,122,39,9,193,172,103,13,89,225,201,15,60,119,186,124,217,242,15,62,252,104,206,220,121,3,206,239,127,223,189,119,66,201,24,216,160,96,238,60,60,196,62,23,79,38,237,184,
227,14,216,48,1,207,51,225,229,63,120,4,74,242,253,206,59,239,226,135,215,114,35,8,14,13,129,240,165,61,71,44,40,116,232,208,126,220,184,177,205,146,95,114,145,11,158,233,191,231,222,81,52,75,99,32,50,
98,81,217,62,183,157,37,217,172,229,246,29,140,196,181,82,8,89,202,156,144,172,172,210,102,202,46,6,166,233,200,228,13,107,177,148,43,95,191,24,107,114,214,156,132,112,208,204,132,226,225,100,5,63,132,
210,228,184,248,81,84,8,5,197,69,223,81,106,216,172,194,66,138,70,207,232,123,40,213,178,163,40,213,149,234,128,93,118,235,117,233,37,23,225,87,197,247,141,186,11,79,93,221,115,207,125,47,188,56,118,151,
157,119,62,226,136,67,55,222,120,99,60,31,55,238,245,241,79,252,247,41,122,226,28,177,129,138,7,202,111,186,225,186,110,221,186,226,167,42,216,63,1,191,130,95,182,116,233,121,3,46,100,50,216,217,96,151,
93,118,198,47,250,240,4,38,41,177,63,0,222,144,241,187,71,252,30,21,63,83,120,240,193,135,169,202,244,129,249,153,88,120,43,157,142,29,218,227,97,209,137,147,222,192,111,122,96,143,173,180,176,219,208,
102,155,109,138,223,142,124,240,193,71,247,222,123,95,246,248,94,2,183,97,155,13,79,206,246,212,153,252,2,118,114,178,15,87,96,141,232,219,7,123,234,116,199,131,157,159,37,123,234,96,51,145,75,47,189,
184,73,147,198,88,86,208,118,218,215,135,247,212,33,122,123,236,190,27,246,106,104,179,97,107,236,138,240,228,147,79,211,222,11,168,218,111,223,189,143,63,254,88,252,34,236,146,139,47,220,122,235,174,
248,157,199,19,79,62,125,215,221,247,80,138,200,151,62,109,92,236,229,211,0,219,35,61,252,208,35,160,180,161,179,247,15,120,190,56,233,13,243,168,22,158,55,4,25,252,28,2,59,45,237,183,255,62,248,125,233,
212,169,239,13,185,230,90,218,134,115,223,125,246,198,115,252,78,208,39,158,194,207,27,168,211,241,36,112,159,190,189,213,110,76,192,220,197,110,95,36,187,152,184,225,19,249,199,231,210,37,75,78,61,245,
164,127,29,124,32,122,13,63,117,192,143,84,249,57,202,125,246,217,11,65,215,95,127,61,236,185,113,251,237,35,223,124,51,121,164,76,140,43,252,180,120,216,173,55,225,57,150,251,70,223,79,176,87,95,53,8,
87,73,135,30,118,20,138,129,68,37,156,201,18,15,192,92,113,197,101,155,111,222,25,233,189,117,216,240,69,139,156,199,6,157,228,63,245,12,109,88,1,71,147,135,227,143,57,243,204,62,120,246,56,77,190,192,
68,30,176,39,83,207,30,118,71,171,208,222,75,20,125,13,124,98,73,202,127,225,236,63,116,222,42,126,23,134,84,226,45,23,227,144,220,162,89,115,115,5,136,189,109,62,159,134,157,111,126,255,125,22,134,26,
126,225,142,109,62,158,126,230,89,252,228,255,216,99,142,186,237,182,155,171,84,171,106,14,206,73,167,94,126,249,165,157,54,237,136,31,67,96,219,197,91,111,189,169,125,135,77,168,202,76,185,42,149,145,
116,28,51,167,76,121,7,63,64,39,141,252,148,141,74,151,156,228,90,30,87,74,193,173,116,234,213,175,143,223,208,224,183,20,112,196,30,49,151,94,114,33,228,255,62,241,20,138,216,167,3,207,170,242,89,3,9,
117,235,213,237,142,61,117,38,39,59,57,117,235,138,95,234,224,199,74,32,0,123,108,207,131,159,212,96,79,157,119,166,190,219,174,93,91,252,62,169,69,203,150,116,126,46,247,245,161,61,117,136,51,126,166,
140,141,47,176,231,208,148,119,166,226,87,178,23,94,56,224,140,51,78,165,170,250,13,234,163,249,143,61,250,80,215,174,91,78,125,247,93,76,194,222,103,157,222,171,87,79,110,44,34,210,203,198,173,111,226,
182,69,92,243,107,169,132,231,14,130,231,205,248,193,26,236,113,17,129,246,14,30,116,57,2,225,199,86,120,142,24,75,222,249,231,157,139,169,136,55,54,88,201,130,78,77,130,246,62,3,243,144,218,142,141,145,
48,163,252,221,152,178,237,139,68,23,103,201,79,22,223,221,119,223,21,27,98,77,159,254,21,250,29,207,120,226,65,127,144,4,31,76,9,236,228,82,171,86,205,39,158,120,26,251,120,12,31,126,107,250,27,61,123,
48,132,89,141,154,107,131,51,158,22,102,76,236,80,213,186,117,107,106,62,122,48,200,25,181,24,195,248,81,7,70,203,231,159,79,195,130,139,217,142,187,3,228,133,79,204,240,52,249,83,146,228,95,112,30,126,
136,67,33,76,30,218,181,123,244,145,7,77,242,69,30,200,183,228,222,75,220,71,49,129,57,176,16,179,228,225,135,7,197,213,59,173,10,205,82,192,102,123,38,161,73,38,76,178,242,33,12,135,84,66,182,183,205,
45,195,126,77,126,207,13,227,97,183,13,167,39,188,1,130,223,13,225,32,131,149,15,215,165,180,124,124,248,225,199,253,207,187,0,191,231,192,77,8,236,223,119,248,97,135,98,43,55,130,197,230,88,216,109,16,
151,169,151,15,28,156,18,112,227,153,107,119,188,146,243,91,89,131,233,135,13,233,240,139,48,40,229,30,63,9,125,211,8,176,106,211,166,13,106,135,222,60,140,54,112,193,169,53,175,250,12,245,201,199,159,
102,123,234,36,59,57,97,197,157,62,253,75,236,39,130,1,241,30,246,212,57,167,63,157,111,99,148,224,186,183,93,187,141,240,219,174,91,110,185,109,230,175,233,70,74,89,166,86,85,234,221,251,12,220,85,58,
240,160,195,176,107,12,6,199,35,99,30,192,206,18,143,60,242,24,126,253,73,237,248,246,91,108,170,212,15,191,189,234,213,171,231,45,55,223,184,221,182,219,142,123,109,60,147,1,103,252,4,68,198,69,78,16,
23,73,72,120,238,77,73,6,189,33,67,6,209,142,83,228,91,175,94,253,253,246,63,248,127,191,252,130,99,254,27,19,199,109,183,253,118,232,117,134,213,65,183,219,102,220,184,215,113,150,129,83,143,224,206,
70,178,139,157,157,104,168,13,201,39,158,155,223,115,143,125,102,207,153,139,249,246,252,115,79,31,126,216,33,119,220,113,247,202,202,43,177,139,0,214,178,131,255,117,4,78,142,30,122,120,12,126,139,143,
67,89,255,254,23,48,25,8,193,142,150,6,144,53,231,237,183,197,153,218,54,219,108,141,21,19,167,75,216,232,8,54,248,233,226,245,215,167,63,211,67,150,122,159,125,166,78,254,137,72,254,163,72,190,57,252,
36,187,85,245,233,99,147,127,203,77,219,37,152,248,173,159,191,163,21,110,145,140,29,251,50,83,242,159,154,52,85,148,13,54,98,33,25,130,209,54,90,47,243,21,23,13,86,118,84,130,181,36,117,246,51,55,140,
18,126,35,76,236,157,161,97,248,96,217,78,44,177,157,95,189,186,117,55,219,116,211,94,189,122,210,175,16,112,186,104,44,147,96,216,176,3,63,22,135,140,159,252,65,183,137,221,68,15,51,7,199,94,156,45,159,
116,242,25,152,171,198,190,156,215,211,79,155,61,126,240,254,240,3,179,125,35,246,154,32,62,144,141,126,197,202,41,147,167,64,190,238,218,171,246,223,127,95,28,121,252,89,74,209,208,199,232,126,108,255,
39,119,114,194,14,6,168,157,52,233,77,108,170,66,81,176,13,10,4,186,71,135,166,147,210,124,38,40,16,176,213,219,58,45,91,126,241,197,52,204,82,232,240,139,28,252,114,13,11,74,251,246,237,41,16,62,95,126,
229,85,204,82,8,88,188,240,153,238,75,4,140,4,6,32,42,46,108,16,10,159,120,101,60,155,52,65,17,103,185,176,71,151,65,254,224,195,15,49,75,33,96,38,99,151,16,236,243,130,246,162,72,47,29,20,238,149,43,
227,64,135,90,179,27,19,237,108,52,245,93,116,196,150,91,58,59,27,25,86,242,109,214,191,228,157,108,201,135,89,10,4,156,99,227,199,98,248,101,15,126,153,132,230,180,50,251,99,205,192,15,253,177,65,20,
46,133,112,195,31,107,177,161,33,113,108,139,50,165,177,112,94,224,188,116,153,57,195,146,137,162,76,226,54,4,153,190,242,234,107,148,76,20,253,228,99,87,74,36,191,67,199,14,85,171,85,169,82,213,100,233,
213,215,94,91,190,98,57,150,176,143,62,249,20,69,74,190,220,123,9,156,41,219,109,219,181,225,67,159,92,242,50,194,104,2,103,35,17,216,158,184,197,62,217,204,129,13,89,75,75,200,217,93,95,244,122,102,207,
169,204,84,158,68,68,87,173,194,152,24,56,240,223,56,235,131,128,251,61,213,146,45,27,49,170,140,67,242,57,23,187,102,164,194,60,244,171,153,15,9,254,6,235,175,135,126,197,114,91,129,89,138,5,27,3,139,
56,97,179,95,8,232,15,211,182,100,224,154,21,167,106,149,41,83,223,29,54,108,56,46,165,240,139,211,211,240,57,228,218,41,83,166,82,104,226,3,47,208,14,238,228,68,91,242,164,123,234,20,201,70,165,74,24,
169,0,252,242,203,116,127,35,200,24,193,149,14,58,0,219,106,65,166,23,111,47,196,71,233,132,112,118,84,166,29,158,62,159,54,141,26,66,94,232,154,24,79,234,181,217,179,102,99,97,34,99,179,203,28,94,201,
82,69,26,4,37,180,191,23,39,155,33,37,43,114,139,22,205,80,251,213,215,95,35,81,0,193,203,223,217,8,63,147,67,45,129,240,39,65,97,171,12,8,20,29,183,238,112,74,137,110,165,78,199,181,204,109,195,134,102,
246,73,215,75,156,84,134,53,131,211,104,97,31,204,255,57,233,62,76,204,25,149,56,77,195,231,244,233,211,141,33,150,202,21,43,48,222,140,44,146,207,121,67,242,177,157,103,139,150,45,204,234,154,12,237,
223,127,159,141,13,22,96,156,238,104,133,172,227,114,166,121,96,239,37,92,239,80,211,18,108,251,1,20,151,39,199,130,69,192,222,250,209,95,105,236,107,124,119,165,201,38,170,132,205,50,40,181,44,167,115,
48,253,115,196,145,135,227,151,242,175,189,246,250,208,155,111,197,30,185,231,157,215,15,87,62,41,149,196,164,110,221,218,196,18,43,28,174,205,190,254,230,91,194,95,177,114,37,54,233,252,248,19,179,177,
160,255,34,151,116,194,123,167,226,242,215,131,180,10,162,97,206,17,21,197,74,171,238,185,119,20,54,209,62,225,248,99,176,131,43,126,142,188,207,62,7,206,74,70,0,101,1,95,193,165,59,57,29,115,66,186,147,
211,195,247,39,95,139,173,194,207,86,65,137,246,212,113,178,97,219,14,122,42,149,180,47,217,122,235,181,226,182,96,25,130,140,141,17,88,195,180,211,110,75,208,168,150,208,210,189,124,90,182,148,224,25,
207,200,142,83,216,32,155,73,210,88,194,28,227,81,133,160,132,150,98,34,47,43,87,253,252,179,57,2,183,90,183,213,123,118,63,107,127,103,35,51,125,105,254,139,1,74,32,181,107,213,78,209,76,150,90,2,42,
97,110,166,193,132,9,147,46,31,120,37,53,10,51,1,47,243,41,158,88,36,76,156,79,49,2,109,245,150,186,36,127,150,45,53,156,211,44,65,147,204,52,90,154,233,150,59,181,183,70,205,26,228,197,201,103,204,117,
215,77,146,63,103,30,52,52,81,57,249,105,160,100,165,72,119,180,82,91,106,121,59,90,193,133,51,156,186,151,154,156,76,158,40,49,49,118,47,41,48,2,44,245,122,73,206,102,196,199,223,180,102,227,43,111,0,
225,141,205,139,225,133,29,110,113,246,133,34,54,58,97,6,148,160,78,157,58,153,100,173,92,213,126,147,77,208,61,63,253,244,19,21,241,115,240,17,35,238,250,227,143,89,100,79,104,248,76,57,36,46,105,142,
229,209,158,209,19,193,120,37,195,200,8,246,136,138,83,29,70,195,119,60,55,223,122,27,246,76,196,253,39,220,40,146,177,218,108,212,6,103,1,216,59,2,255,125,14,126,218,223,125,199,29,80,139,125,39,128,
243,227,207,63,65,166,61,117,136,45,125,114,219,81,36,40,254,196,105,30,110,53,119,238,188,105,186,184,96,223,160,206,102,179,207,25,51,102,176,13,11,169,123,50,103,8,153,170,176,245,54,4,181,151,143,
179,227,212,138,21,50,195,41,32,210,68,233,194,103,162,162,230,167,181,246,15,148,70,76,46,224,177,125,30,196,46,155,119,38,37,78,29,229,206,70,116,192,199,190,54,38,165,124,220,179,56,248,139,93,109,
209,149,164,232,212,177,35,78,185,177,1,29,238,196,194,17,219,210,227,39,230,233,238,80,11,22,204,255,203,236,156,32,223,127,37,183,106,121,27,113,92,37,209,138,38,224,83,81,102,6,42,28,6,240,137,251,
219,248,68,85,203,22,45,121,134,103,201,55,117,102,105,192,134,247,16,103,96,199,172,164,8,57,21,68,17,32,248,58,0,53,233,150,90,88,83,147,247,223,216,233,55,49,171,190,214,90,236,158,101,216,166,218,
96,198,95,108,79,38,60,32,243,5,105,44,177,43,114,68,197,110,247,199,28,115,20,118,199,166,189,109,112,62,137,115,140,131,15,62,16,219,17,97,99,11,236,138,34,3,64,62,226,240,67,145,80,124,199,112,210,
137,199,163,248,244,211,207,210,224,216,107,207,61,134,92,117,229,21,87,94,69,255,11,16,26,166,28,85,145,188,160,164,169,204,69,54,51,169,73,48,176,227,2,228,211,79,59,5,255,41,6,118,73,95,184,104,225,
142,221,187,163,14,27,136,73,227,143,62,252,8,23,57,216,38,123,187,183,186,109,178,201,38,233,158,58,240,93,177,242,245,215,198,227,132,220,236,169,83,27,123,234,76,193,141,7,179,167,206,243,47,170,182,
227,86,54,147,65,68,108,25,133,45,75,112,107,247,209,199,30,223,125,183,93,112,18,248,218,184,215,127,194,255,33,160,94,60,86,178,199,82,82,139,215,199,7,246,242,25,63,113,98,186,227,212,148,119,240,191,
7,28,114,136,217,251,7,47,234,242,68,50,11,19,4,206,161,73,133,151,207,84,147,172,14,159,70,118,99,34,88,220,181,54,93,124,198,169,248,190,10,187,171,195,216,68,17,47,28,214,176,133,247,152,49,143,98,
147,225,38,77,26,63,243,204,115,248,194,12,245,163,70,221,223,187,247,153,163,238,187,235,177,199,30,199,247,224,216,228,17,91,168,62,145,220,117,231,35,252,111,191,254,142,121,133,13,113,250,246,237,
141,165,237,232,163,142,196,114,185,114,213,114,1,31,22,113,63,9,7,85,124,229,6,168,159,126,252,233,168,163,14,79,251,59,49,79,147,255,216,195,143,253,231,191,187,237,218,11,23,159,227,198,141,255,25,
7,15,187,124,27,2,233,249,6,45,88,230,19,183,33,104,75,45,200,201,150,90,217,222,75,39,28,127,236,217,189,207,236,125,246,57,184,253,174,8,249,185,85,6,126,209,119,225,1,236,87,249,154,200,17,213,174,
25,112,240,223,216,82,25,247,196,236,222,54,93,177,11,38,134,35,246,52,187,99,228,237,56,223,192,83,65,25,203,85,171,48,19,250,246,61,23,221,137,255,120,2,247,75,111,31,62,18,169,33,204,58,117,234,160,
135,176,145,146,79,43,67,16,82,198,36,81,166,199,124,51,57,205,236,164,41,42,204,43,161,83,183,221,166,219,77,55,93,119,251,109,183,160,25,151,15,28,132,221,168,24,4,150,88,248,147,61,117,234,221,113,
199,112,236,183,196,59,57,161,107,151,173,88,222,251,236,126,248,191,94,118,223,125,87,124,113,183,99,247,29,230,47,48,95,74,77,245,246,245,161,213,133,154,48,230,145,199,110,187,125,4,90,132,109,120,
186,118,221,10,11,217,21,87,92,37,41,165,203,51,143,24,172,57,52,105,45,123,92,123,171,189,124,16,215,236,253,51,60,217,113,106,196,109,216,100,108,192,128,139,204,222,63,152,111,116,127,11,1,144,2,59,
51,121,225,48,211,152,10,14,131,180,128,243,192,126,106,55,38,187,179,17,160,176,237,27,54,103,197,221,251,91,111,185,169,91,215,174,62,192,181,215,221,136,99,207,160,65,3,177,150,189,245,246,228,155,
134,222,2,27,68,188,111,244,3,216,77,106,195,13,91,15,25,50,104,196,136,97,199,28,115,36,238,32,164,135,211,228,252,11,54,32,126,241,37,151,189,247,254,7,184,37,222,191,127,191,119,166,78,189,111,212,
253,228,238,7,146,26,124,249,124,238,185,231,99,146,31,125,212,17,125,250,244,30,51,230,49,236,116,197,6,156,252,129,151,95,74,201,31,120,133,249,42,193,188,147,78,50,89,183,28,200,139,200,244,57,231,
92,108,254,132,239,96,213,222,75,184,93,135,187,232,248,254,41,5,33,40,155,103,142,91,66,224,254,85,66,178,170,18,178,70,240,44,97,80,145,223,163,162,121,240,84,123,219,224,76,24,183,85,205,35,175,226,
69,150,96,3,29,190,154,199,38,149,230,246,47,191,240,31,123,180,108,225,124,1,192,85,36,80,130,149,50,25,125,132,140,26,2,135,192,26,169,132,92,167,118,173,229,203,87,40,98,208,243,2,143,83,56,218,201,
201,40,221,23,48,113,194,236,239,169,195,109,231,232,174,159,105,44,118,253,193,221,14,71,239,50,119,170,188,134,80,220,89,127,204,230,43,43,222,113,74,57,202,98,140,79,96,25,179,110,104,126,108,55,38,
110,166,181,213,127,97,0,21,109,243,169,234,112,79,21,247,32,208,227,177,155,237,176,199,133,46,250,133,27,232,144,204,89,99,112,135,191,113,35,28,174,3,200,201,128,73,147,47,55,178,114,209,228,80,97,
218,184,15,137,219,129,114,75,45,172,115,120,110,28,79,233,176,13,132,160,47,25,4,147,31,179,15,26,167,25,16,108,225,78,150,122,162,18,110,30,138,33,27,95,168,101,155,172,204,193,172,34,109,109,56,10,
27,69,146,162,189,120,50,71,88,113,166,236,197,175,121,244,125,13,190,52,31,1,205,161,133,46,91,89,164,82,203,220,40,174,8,181,46,136,15,15,159,146,111,73,217,224,84,248,46,28,185,144,0,194,33,134,133,
124,173,145,36,105,248,248,73,176,150,233,95,47,162,68,144,182,186,117,107,130,173,196,55,84,61,50,100,32,41,57,52,130,173,195,218,192,195,212,9,128,173,88,92,135,236,238,156,23,24,39,48,228,203,241,98,
160,110,8,51,110,148,37,35,40,75,85,44,98,230,179,138,129,208,209,141,153,4,192,221,84,196,82,47,241,129,198,128,82,47,229,64,32,89,29,146,185,81,92,25,4,9,42,217,69,10,190,165,123,172,151,182,1,185,100,
27,177,168,250,33,2,64,185,42,133,80,58,9,94,127,41,132,88,52,32,107,75,5,165,60,221,185,64,217,144,8,1,64,139,32,205,172,206,252,245,91,71,181,184,156,145,102,44,155,13,230,185,32,5,19,192,101,31,126,
62,195,250,196,8,81,125,160,214,5,183,48,161,191,110,154,148,69,0,89,89,68,142,204,126,186,245,204,4,67,27,186,192,72,13,28,199,84,2,29,94,22,217,81,218,66,218,40,78,81,174,177,117,90,173,191,37,27,88,
36,207,14,3,34,239,50,71,148,226,56,57,150,150,109,250,151,206,11,114,236,29,98,193,51,142,200,44,32,71,133,172,138,176,73,53,220,95,80,185,13,87,4,50,23,175,34,54,31,195,119,125,41,176,242,209,252,112,
137,46,190,28,203,34,150,162,72,150,10,60,115,79,36,39,22,183,223,69,182,189,149,186,58,46,46,156,95,197,190,36,144,1,43,173,119,54,170,20,130,103,105,60,160,212,102,241,238,87,150,54,162,243,151,83,228,
27,75,2,126,173,131,146,20,164,61,213,42,47,42,250,102,65,99,31,63,176,36,185,157,85,8,135,59,58,16,32,81,89,76,38,143,7,176,51,91,91,155,105,164,36,45,165,30,178,216,0,37,152,1,40,57,98,78,75,185,191,
0,153,217,171,88,92,12,242,17,76,216,144,132,188,255,118,49,26,44,137,33,105,73,208,124,47,182,204,63,62,187,249,74,47,137,21,178,42,50,50,4,215,61,173,145,246,82,102,199,160,50,216,49,210,82,198,146,
50,108,164,25,71,33,27,124,6,107,217,12,66,142,65,78,149,68,96,57,118,66,165,22,254,146,176,178,129,4,78,46,101,15,6,102,38,132,32,72,140,82,213,228,169,64,116,53,0,138,28,81,131,224,105,19,196,217,102,
122,236,137,207,121,31,135,25,178,32,218,20,21,125,28,152,230,32,132,143,168,1,120,185,0,36,205,72,251,62,222,36,5,162,152,129,147,236,117,69,209,20,101,68,198,42,22,78,161,193,27,177,100,56,198,203,17,
8,68,209,134,189,2,87,197,12,208,231,79,121,163,97,149,217,25,41,198,45,10,238,186,115,73,225,176,59,90,193,50,27,27,193,39,41,171,189,108,135,65,188,156,48,13,22,36,42,201,62,148,163,97,98,30,7,114,95,
177,124,165,92,101,16,200,143,37,1,165,172,200,68,187,152,57,8,7,117,128,145,113,115,66,8,128,84,44,184,116,114,163,188,137,42,201,137,28,249,141,161,197,172,56,57,223,210,215,200,246,132,34,234,73,34,
237,109,2,196,185,144,168,86,249,21,53,37,196,124,146,57,206,62,255,28,168,112,183,137,252,231,4,146,85,177,16,208,115,151,75,123,116,98,204,5,246,84,21,113,204,96,124,4,95,147,89,23,147,252,236,121,126,
14,243,52,162,28,189,158,131,81,132,82,26,99,235,115,48,150,110,136,146,71,96,197,66,36,51,239,171,19,166,196,130,158,168,146,28,27,169,96,40,230,84,249,198,229,105,40,17,161,147,117,52,146,71,79,134,
233,38,14,61,33,114,33,172,220,227,88,17,155,204,185,66,146,159,34,21,84,26,200,180,115,52,105,192,202,160,160,144,201,70,185,171,34,227,4,125,81,203,246,44,176,139,17,56,237,161,161,239,88,122,5,25,49,
12,46,162,123,222,121,138,96,26,165,67,44,156,180,129,44,25,162,200,94,208,135,87,124,206,134,6,210,179,145,161,148,97,201,162,158,168,18,40,70,183,36,232,234,24,80,174,37,13,70,11,42,253,190,9,155,217,
175,167,168,54,104,195,129,164,32,147,80,212,43,210,109,57,247,222,130,200,20,58,88,197,12,37,61,82,230,219,179,35,11,190,61,97,74,228,128,141,189,79,230,87,49,50,35,40,27,85,100,251,60,65,166,180,252,
165,33,15,57,84,23,99,8,61,55,202,245,51,19,50,230,229,90,150,83,66,171,109,99,245,68,149,48,107,62,176,68,143,200,225,147,64,54,182,188,89,17,38,233,245,171,111,198,25,247,171,12,184,69,40,247,220,6,
174,254,218,193,108,125,33,28,61,177,203,170,44,153,128,59,110,188,123,57,97,51,110,35,107,148,144,133,64,133,141,146,45,40,113,100,199,81,28,130,164,94,202,42,110,185,69,153,210,28,216,156,170,66,17,
109,6,114,140,195,71,212,196,193,207,246,106,242,145,173,78,38,170,207,47,222,67,57,109,64,21,115,173,48,69,73,206,143,21,131,229,184,214,37,59,229,200,92,220,102,230,15,71,69,35,0,34,82,228,69,55,44,
50,23,203,41,253,235,210,80,149,193,162,34,163,108,194,129,146,40,57,163,42,3,97,62,162,69,89,109,49,41,204,193,247,229,88,170,74,132,14,38,83,154,147,65,78,68,31,193,49,246,57,216,232,249,121,38,14,14,
148,164,69,61,238,131,195,134,241,237,105,157,235,87,162,68,17,205,68,245,249,229,176,201,71,173,176,35,195,50,130,159,110,67,213,222,225,96,123,18,216,75,233,101,209,111,102,142,175,2,20,100,178,37,128,
221,149,177,12,234,203,49,26,210,82,1,150,56,203,144,158,144,147,97,65,81,20,142,50,164,98,14,159,168,123,112,56,166,112,58,63,50,104,44,150,12,36,101,233,91,72,78,136,101,75,48,124,236,36,97,119,159,
3,71,100,129,141,203,21,124,112,32,48,44,11,121,176,50,183,130,188,153,168,133,252,243,176,115,235,100,224,160,161,96,19,172,135,114,141,48,172,48,136,152,165,41,193,242,160,220,12,248,231,210,62,190,
167,113,70,63,162,123,6,129,204,57,36,93,14,169,117,146,121,199,76,192,32,68,44,10,106,220,123,115,153,91,140,27,69,137,197,202,252,87,79,242,231,137,31,209,215,152,152,193,252,16,153,2,227,147,89,135,
193,179,234,240,87,18,114,53,145,77,144,104,229,252,39,81,28,47,71,224,6,219,230,201,192,240,67,31,39,222,25,7,35,177,23,35,135,238,250,154,74,223,146,93,72,176,113,81,138,141,179,44,182,242,141,20,195,
12,35,198,1,117,232,70,52,48,11,209,243,219,155,160,149,219,4,244,130,114,65,116,165,1,243,24,37,84,73,227,252,231,132,165,101,32,27,171,167,82,12,85,44,85,44,25,74,160,57,75,97,73,71,24,168,88,2,202,
120,171,90,2,84,115,129,148,244,201,246,44,200,90,200,201,147,73,114,52,136,129,174,76,139,20,153,10,197,83,236,129,128,199,117,240,169,216,176,23,135,112,12,92,122,140,201,39,252,114,117,151,142,82,102,
228,76,144,176,172,141,52,223,103,200,30,69,132,32,147,76,201,76,188,232,126,92,120,101,142,161,216,156,31,85,137,71,121,98,137,98,203,124,100,54,171,152,16,36,166,35,114,42,16,195,203,6,116,169,189,52,
147,108,66,46,178,158,100,197,68,115,240,29,10,104,50,16,159,155,101,149,217,20,0,84,38,250,26,117,117,176,0,173,220,85,81,197,86,249,146,181,110,149,179,218,49,102,254,186,46,209,130,178,63,7,96,198,
224,202,37,166,207,204,100,247,216,142,201,106,173,228,182,203,106,211,45,43,2,209,57,46,59,178,0,103,174,53,64,150,64,236,10,205,121,44,150,35,179,80,54,103,246,76,5,135,140,174,52,229,146,6,176,145,
157,34,237,85,171,165,25,133,74,141,109,18,72,153,125,186,173,147,200,153,77,41,73,114,240,109,25,51,202,205,247,41,71,243,15,94,163,230,52,140,90,197,109,43,65,56,150,253,18,110,73,181,219,67,210,163,
104,116,130,177,135,239,152,151,236,158,152,13,144,114,170,144,46,63,99,108,207,130,108,130,148,37,1,214,75,47,101,64,13,226,99,44,44,17,93,218,75,16,38,22,52,96,203,213,23,98,248,74,111,138,60,42,146,
46,182,12,157,53,157,249,40,119,214,151,37,20,2,41,231,151,42,150,179,102,17,12,100,38,234,63,244,10,198,171,64,44,53,194,202,66,88,51,28,98,217,23,84,204,113,44,190,40,8,67,231,58,80,210,147,178,180,
39,57,214,169,108,153,239,14,51,101,224,159,143,100,6,60,7,224,150,52,138,170,192,33,70,35,243,101,66,255,176,192,163,130,66,23,34,32,219,69,244,138,117,89,241,166,48,43,229,18,164,23,84,42,71,46,218,
137,234,183,1,38,107,186,25,28,181,132,224,146,201,255,50,176,244,208,113,209,178,70,197,244,30,57,100,31,57,141,5,98,243,130,54,101,117,143,4,135,92,146,3,219,175,142,160,70,27,19,78,5,149,183,146,145,
120,20,85,216,145,67,8,132,216,25,62,219,34,87,204,156,148,170,93,80,58,6,2,220,216,51,109,114,142,36,223,65,112,1,101,103,249,100,8,149,108,20,136,13,232,252,77,38,42,40,134,104,21,241,119,192,68,65,
178,20,234,84,204,71,86,9,245,141,115,192,3,198,246,97,55,138,205,6,37,163,48,109,114,9,124,153,105,147,70,124,152,21,135,96,132,210,2,143,18,139,25,116,169,8,114,16,40,81,50,97,148,36,178,148,125,111,
149,55,223,64,105,24,173,194,142,12,24,68,192,57,60,159,192,179,37,132,44,174,189,108,145,181,190,172,192,217,157,45,125,13,87,165,2,119,98,82,46,185,148,192,170,52,166,141,97,38,170,162,72,85,6,194,13,
156,186,228,142,36,11,107,24,200,113,192,122,18,252,42,201,88,202,176,36,99,169,76,229,32,61,4,112,25,146,49,71,100,1,134,18,83,49,84,197,196,43,124,253,195,150,49,52,25,145,141,61,33,5,143,129,72,123,
9,88,194,62,150,162,4,46,29,73,110,186,100,160,160,44,35,150,193,164,156,108,7,227,66,153,133,22,237,74,207,225,227,173,200,188,8,87,248,166,129,18,95,54,163,70,201,166,41,62,108,169,244,193,121,148,198,
12,174,37,202,63,53,13,127,215,106,38,106,89,129,99,198,126,208,226,150,153,175,76,98,40,125,108,9,112,153,23,39,22,129,184,61,23,48,96,44,215,146,213,82,112,220,101,5,100,201,89,85,37,69,103,101,13,25,
148,208,9,122,254,232,129,70,115,147,124,66,95,225,250,225,28,4,233,46,77,5,13,86,59,142,172,141,11,138,191,114,87,181,65,24,114,145,93,79,102,10,42,232,107,241,163,11,46,129,4,160,252,156,20,206,6,5,
181,161,53,47,63,150,223,52,242,177,215,168,26,193,148,125,148,144,85,174,142,90,24,106,85,208,77,178,84,209,85,81,209,115,19,97,122,194,183,231,136,50,138,177,20,63,240,79,109,10,19,134,189,66,227,40,
107,74,144,13,145,114,12,95,241,241,93,56,87,126,149,106,142,188,51,28,52,150,28,24,86,42,149,151,42,74,75,200,249,181,210,184,184,37,188,130,196,36,26,203,100,233,131,171,148,194,222,183,97,16,22,252,
184,69,188,98,54,122,23,66,14,163,78,32,51,125,164,229,193,0,212,194,172,202,95,153,24,55,153,27,153,37,235,139,9,101,57,26,99,201,196,157,150,200,111,217,104,197,72,150,182,146,172,200,218,229,86,26,
65,140,33,26,40,254,112,97,144,146,45,229,243,53,157,16,201,211,50,132,141,31,203,215,80,116,13,200,156,10,10,146,128,116,177,100,164,78,201,37,67,251,156,3,46,62,1,27,218,119,103,2,84,21,64,99,11,18,
124,112,243,255,163,186,247,90,216,37,7,46,167,138,221,211,136,220,213,73,57,22,11,149,6,147,249,217,54,43,180,188,34,251,74,163,56,142,98,34,91,148,30,96,149,111,16,31,177,172,89,78,247,72,240,148,93,
28,77,225,176,175,210,115,43,217,128,53,28,162,228,37,40,48,25,150,113,88,240,1,83,13,78,167,197,152,145,246,82,206,122,83,3,197,203,54,153,113,11,75,65,16,144,198,65,2,234,91,3,110,178,116,84,178,131,
163,234,146,162,204,0,213,179,11,11,33,191,66,58,128,75,16,34,92,205,140,203,72,130,114,154,36,129,252,224,49,199,18,94,54,251,1,179,248,200,166,232,126,226,160,15,224,88,174,168,146,36,165,140,201,71,
86,210,93,226,151,117,66,40,65,108,240,188,179,229,160,125,126,91,24,86,10,76,56,6,88,30,38,242,207,131,68,125,171,204,250,36,188,200,100,244,82,16,134,88,34,152,45,61,85,202,69,41,196,200,135,245,106,
144,36,33,192,71,25,171,98,26,78,249,74,18,144,5,91,170,209,32,65,119,207,75,161,198,138,0,23,105,76,135,177,57,162,234,168,41,151,162,187,129,22,205,69,140,151,213,135,105,80,109,133,218,236,19,179,161,
204,95,25,46,223,82,25,251,143,10,48,172,196,100,165,47,228,155,201,78,82,161,81,84,181,18,92,194,74,217,57,184,85,44,147,118,13,77,194,101,115,204,167,231,196,101,114,222,56,54,57,172,16,19,134,116,26,
69,218,16,160,207,39,146,64,167,81,89,148,68,242,65,148,1,47,139,74,159,83,204,199,52,181,110,210,162,219,133,22,137,77,193,242,67,230,112,45,94,21,73,110,54,217,252,134,149,53,14,86,183,9,124,144,9,141,
149,180,153,110,222,157,182,187,94,249,100,2,45,117,176,66,5,137,159,67,67,185,10,175,124,74,170,119,124,227,224,88,74,205,138,240,17,76,192,209,134,203,155,90,178,41,138,15,138,22,65,90,165,178,50,118,
44,152,170,203,7,54,121,94,22,66,5,229,162,227,203,33,224,229,222,177,143,222,245,117,252,109,48,243,87,98,73,61,201,104,67,190,1,204,188,118,250,48,74,163,200,112,35,165,153,26,13,202,69,90,58,114,14,
91,203,51,24,14,32,28,130,67,179,198,9,145,20,216,198,175,210,94,57,148,200,57,33,70,172,228,151,249,238,13,1,63,78,234,28,171,80,122,205,74,85,139,162,177,204,225,236,254,98,145,147,105,133,210,243,205,
97,82,100,77,20,220,88,180,225,88,97,4,7,217,169,9,20,184,7,75,182,55,224,236,199,10,102,204,29,114,242,118,73,250,123,84,134,206,161,110,155,154,151,89,184,115,123,128,153,131,198,17,45,108,170,8,187,
184,173,50,183,73,108,147,24,39,236,200,213,36,72,28,26,238,206,73,157,99,205,128,44,100,213,18,7,205,12,254,143,1,108,157,4,10,128,176,129,43,200,4,186,53,78,137,0,115,206,195,29,107,89,112,201,103,53,
94,74,179,170,184,100,187,47,58,42,84,195,169,72,94,170,202,15,98,193,69,13,147,140,181,66,216,26,209,218,151,140,165,252,252,162,68,200,233,35,105,230,131,176,38,7,1,54,4,66,54,36,71,79,125,25,145,133,
130,12,74,155,185,41,86,55,229,56,156,20,252,86,153,40,140,99,59,67,186,4,101,137,67,60,51,182,140,6,207,8,160,24,55,129,113,9,40,97,144,197,207,66,100,186,60,169,164,61,162,148,180,9,6,176,244,2,228,
97,95,16,211,130,100,17,10,58,102,253,197,75,155,155,103,70,102,64,22,56,24,219,200,219,81,92,11,161,216,105,133,244,48,178,19,72,142,4,101,104,9,59,246,202,166,88,49,136,192,173,99,1,96,36,71,79,125,
139,133,75,172,84,195,108,99,56,134,60,61,131,18,227,185,12,240,136,105,194,94,227,4,27,79,0,178,229,74,67,94,114,14,115,76,5,168,138,108,198,128,249,6,202,62,86,244,169,74,75,132,112,162,168,228,195,
84,228,95,58,66,14,60,218,193,22,113,47,54,33,193,137,174,235,194,143,191,165,86,238,69,23,148,10,74,21,21,54,21,217,166,244,169,132,202,140,215,64,153,103,150,129,31,28,9,42,122,144,219,106,42,153,131,
196,225,246,174,129,137,138,134,49,156,137,33,18,68,71,203,52,167,66,111,204,188,196,25,165,124,41,123,89,229,249,82,35,131,77,149,126,190,204,204,89,240,109,160,201,65,102,71,22,200,152,139,41,96,172,
57,25,8,243,214,0,0,24,227,73,68,65,84,182,45,57,33,36,37,207,172,156,213,42,126,158,47,67,228,200,104,148,71,64,154,107,50,178,14,178,206,137,174,246,230,185,77,14,25,230,134,118,176,12,207,194,141,85,
172,100,81,69,84,69,105,233,132,175,80,33,31,173,34,19,85,209,5,43,87,147,245,150,179,132,187,73,15,182,37,134,163,140,117,147,248,6,131,178,163,98,129,184,65,63,169,52,17,131,51,45,4,30,54,14,89,154,
16,22,54,187,208,13,89,82,102,116,195,37,197,2,114,234,110,35,102,30,161,136,89,173,43,173,14,7,183,127,29,92,192,250,83,75,197,82,69,199,223,43,148,97,172,18,34,178,81,6,136,71,160,2,138,88,126,64,67,
223,76,2,122,73,114,37,13,152,162,159,122,174,242,65,124,150,190,13,187,75,161,68,20,213,13,236,41,250,131,117,57,66,48,74,140,97,208,56,2,238,93,112,74,194,150,100,44,144,153,231,214,38,130,175,213,62,
183,40,184,118,205,150,21,167,166,48,1,21,72,245,184,170,117,66,36,133,114,237,125,132,76,227,37,153,193,75,210,200,64,86,67,226,112,18,35,39,116,25,55,147,36,98,65,57,16,88,38,136,81,146,158,14,24,179,
65,174,16,118,164,64,64,246,46,141,8,44,236,21,15,84,150,125,89,198,94,159,137,83,146,82,247,70,48,235,156,211,22,197,63,52,133,162,220,226,93,195,168,254,36,71,85,30,1,246,132,224,145,137,50,145,94,66,
46,215,94,184,106,145,26,34,1,195,173,240,56,107,160,138,150,101,232,34,24,217,169,175,55,92,50,247,48,168,223,175,5,90,21,238,105,239,202,71,71,44,25,43,98,64,141,210,104,89,203,74,75,50,45,249,56,210,
146,113,243,93,200,172,136,13,3,42,1,190,177,148,26,75,63,45,236,239,118,86,66,62,91,32,216,74,113,83,69,50,83,4,228,35,150,100,96,72,86,244,78,53,51,201,218,226,50,207,12,210,96,225,83,12,213,59,212,
16,86,154,98,16,22,9,12,234,117,212,80,89,38,191,194,32,22,56,155,168,86,147,253,13,246,10,87,171,238,97,61,9,49,223,160,158,243,165,64,184,232,199,82,56,190,65,62,13,70,46,41,168,64,169,189,236,3,11,
81,242,33,120,107,24,254,91,50,9,236,166,40,169,34,153,89,52,51,247,252,153,3,37,123,89,203,20,158,245,105,185,192,31,229,98,238,29,122,227,59,124,188,98,240,2,227,216,239,98,21,215,128,173,50,203,86,
64,47,218,203,49,141,185,61,97,81,73,16,54,222,133,137,168,11,136,52,48,146,230,72,194,28,72,185,196,227,26,67,233,149,77,84,169,85,112,193,34,219,83,48,46,6,141,29,165,55,202,75,126,149,90,18,188,164,
129,67,160,64,33,152,65,142,34,251,64,129,177,141,210,151,44,70,29,85,186,10,140,105,196,146,104,249,223,100,72,203,124,146,126,78,98,190,126,126,130,95,123,218,105,226,176,141,113,136,197,146,246,20,
87,241,44,226,88,194,166,112,23,16,1,66,43,129,153,240,46,98,67,13,204,38,170,108,112,84,14,49,14,6,83,201,98,64,24,251,189,24,68,32,151,32,78,192,94,17,227,120,44,20,27,223,108,30,8,193,117,238,52,16,
234,10,137,138,185,199,83,165,203,36,80,125,49,157,132,149,132,125,3,89,27,99,89,210,171,52,136,109,139,127,114,129,197,66,226,151,134,138,177,204,213,175,22,172,37,239,159,235,250,93,160,89,144,175,251,
176,164,182,41,94,102,38,194,165,188,137,170,24,51,142,159,32,95,147,99,204,85,190,16,198,241,91,226,143,239,208,104,86,248,14,120,1,76,229,30,44,210,112,116,144,131,118,86,169,82,234,59,74,13,192,229,
112,39,12,105,16,211,216,104,129,191,10,208,71,11,248,68,84,170,45,176,146,104,169,140,60,123,157,149,93,127,50,178,111,147,84,41,182,108,174,98,73,125,65,153,201,75,206,228,171,53,106,168,216,31,232,
106,51,21,152,188,34,237,146,182,204,68,42,203,155,168,37,168,72,224,152,172,26,25,51,203,215,219,214,230,116,155,4,40,66,219,207,142,246,138,49,183,100,40,162,246,18,60,114,216,6,188,66,225,74,94,35,
20,25,241,49,26,1,14,130,124,17,49,15,129,155,131,116,177,12,208,36,123,165,147,111,195,7,66,72,52,107,150,254,117,187,198,68,11,45,223,132,153,34,199,208,4,148,207,86,133,77,139,12,21,105,163,244,146,
237,146,50,219,4,190,71,165,58,101,45,91,232,84,49,27,184,137,198,112,0,37,20,109,164,114,179,119,68,88,77,151,55,14,19,174,139,8,178,9,108,194,8,70,144,109,33,11,209,34,201,28,221,109,204,203,188,153,
201,177,156,64,34,68,202,42,161,33,195,249,108,165,37,215,26,129,198,132,24,142,20,148,219,142,98,70,195,241,76,10,8,237,243,177,102,4,146,231,110,45,253,191,110,115,178,219,203,64,99,110,190,87,166,145,
93,227,50,116,145,51,15,72,62,85,95,227,56,32,127,145,231,153,164,163,148,83,119,166,39,184,49,20,217,167,94,100,41,204,20,1,13,104,171,139,126,143,26,32,151,64,48,27,148,98,54,54,150,249,91,196,70,218,
179,156,115,71,36,214,211,42,22,23,165,189,148,229,130,235,223,231,96,119,80,34,50,240,53,74,238,36,230,202,66,164,63,242,147,70,181,50,28,227,41,65,226,200,42,242,165,166,185,13,204,59,164,0,1,128,177,
184,140,67,66,204,76,210,144,114,142,189,169,202,201,33,161,36,153,12,134,206,65,78,9,48,120,164,59,52,79,182,151,21,130,70,64,109,167,55,200,112,162,216,204,213,100,139,20,25,4,249,251,61,27,223,220,
44,151,89,90,41,86,110,104,130,121,36,203,216,167,108,67,144,113,142,35,219,179,16,237,111,183,135,50,123,15,61,103,57,240,108,211,35,42,218,237,87,145,134,3,113,51,73,195,250,128,163,124,28,210,165,205,
32,210,43,0,101,199,89,246,76,162,116,112,49,185,134,193,89,160,42,198,55,130,69,102,175,156,195,111,102,83,64,242,199,101,208,137,201,4,107,99,74,6,15,187,23,104,20,231,36,140,224,30,126,2,95,68,185,
57,103,52,34,140,98,6,107,201,100,125,103,125,163,155,155,17,74,10,97,253,211,92,88,231,44,64,44,73,165,244,64,96,222,44,192,169,36,114,208,32,218,37,146,191,37,31,165,6,99,207,134,185,169,184,105,145,
241,61,71,138,162,188,162,161,147,99,26,215,42,47,85,100,179,76,32,26,30,7,38,15,203,24,72,76,159,129,187,220,72,95,196,43,69,224,20,73,68,43,155,113,25,167,173,163,196,160,60,132,34,36,121,204,88,46,
129,191,154,64,192,36,83,5,1,37,66,206,76,246,125,217,177,212,169,111,176,239,161,140,36,37,227,155,72,107,106,136,40,216,88,145,91,37,227,18,17,118,97,27,214,40,1,201,242,109,124,141,115,120,177,79,41,
42,51,69,67,213,58,113,237,224,203,150,82,167,26,179,36,122,220,102,67,191,155,169,42,139,107,163,176,75,17,88,54,206,112,88,85,88,240,185,241,217,24,93,101,248,224,190,38,205,185,155,10,78,50,217,83,
49,234,235,17,78,19,238,98,170,206,101,39,142,197,26,8,42,150,42,74,75,146,253,84,176,11,11,190,87,118,51,41,104,228,131,38,16,149,3,171,66,202,194,25,79,132,73,205,11,103,208,31,58,33,156,140,119,208,
94,101,217,230,206,79,107,176,141,25,120,34,5,108,34,65,37,62,123,73,37,35,115,109,170,145,128,9,121,206,51,13,95,26,187,100,12,95,96,106,4,134,22,66,73,27,142,2,167,212,88,50,17,80,90,244,50,172,13,74,
149,253,112,230,42,163,32,44,147,180,11,162,140,166,90,173,138,108,41,219,206,74,22,50,47,138,101,137,169,204,179,153,236,101,101,195,152,49,1,32,210,29,102,170,200,142,28,14,154,236,235,153,160,181,52,
101,127,3,109,175,158,165,18,114,208,62,168,36,199,178,112,40,46,208,20,213,24,126,76,175,56,27,216,100,126,196,236,37,73,182,129,11,203,18,48,168,148,6,38,156,200,30,217,179,23,223,166,98,151,88,32,54,
40,46,112,148,204,197,142,200,76,19,148,120,170,160,54,238,162,250,5,182,42,162,108,56,199,81,54,172,39,33,193,116,86,127,210,231,123,41,144,96,49,136,160,24,74,27,106,29,105,164,62,8,158,163,228,44,149,
5,146,157,250,22,247,103,75,159,13,170,202,8,47,111,156,40,172,200,104,48,71,114,60,255,65,255,9,69,196,70,33,113,49,135,54,56,163,86,25,112,67,82,193,93,107,163,231,20,20,207,229,198,200,4,197,200,204,
77,9,121,6,114,206,40,55,191,104,105,212,174,93,107,225,194,69,178,158,41,73,165,58,29,21,85,217,84,241,185,109,180,81,155,93,119,233,117,247,61,247,225,118,147,112,113,103,105,66,91,159,216,91,122,210,
75,201,126,56,101,160,139,145,252,240,87,208,53,107,214,92,178,100,201,202,149,43,225,184,251,238,187,86,169,92,101,236,203,175,16,136,159,19,210,16,135,140,73,36,68,198,36,214,174,96,18,210,216,89,134,
51,28,33,101,119,125,185,37,162,54,44,102,140,101,189,98,31,227,42,93,138,216,72,251,236,88,100,90,21,166,225,218,203,146,177,87,36,169,58,161,145,95,11,67,181,214,66,33,193,149,172,184,169,162,50,14,
23,37,85,145,40,143,70,216,155,180,213,215,170,126,241,69,231,111,183,253,182,45,91,180,152,57,115,230,11,47,188,52,236,182,17,84,21,164,20,188,233,173,134,47,23,25,97,227,141,219,245,238,125,198,168,
209,15,44,93,186,52,198,38,72,155,17,98,94,121,122,153,31,105,39,115,197,11,79,50,90,14,61,228,224,67,14,57,120,147,77,54,94,244,247,223,159,126,250,217,128,243,47,218,123,175,61,171,84,173,242,242,171,
175,18,64,65,62,193,182,72,10,132,227,39,42,199,49,39,52,225,100,119,125,3,166,177,92,128,148,72,7,81,84,36,2,104,178,41,137,204,45,241,106,28,133,132,146,178,99,84,172,160,72,146,83,118,108,20,141,98,
110,28,145,133,104,40,153,46,1,21,181,143,85,16,142,184,30,147,161,165,28,3,32,125,149,42,85,110,184,254,154,78,155,118,28,50,228,218,233,211,191,218,112,195,214,164,151,159,220,76,169,100,153,98,153,
79,217,52,174,46,71,40,78,187,32,42,119,165,152,140,198,85,93,222,51,218,254,251,239,123,233,165,23,141,28,121,215,249,23,92,82,167,78,237,77,55,237,180,96,254,2,115,10,128,127,210,135,29,226,2,217,231,
164,14,85,176,241,97,165,70,186,75,189,31,150,106,179,83,95,223,130,115,225,87,249,208,153,38,191,83,197,8,206,92,252,0,21,208,4,227,138,112,62,36,17,200,105,38,92,40,233,236,203,249,245,201,75,28,191,
214,71,32,141,111,201,56,126,21,131,132,103,142,219,216,46,93,58,247,236,185,211,149,131,134,188,254,250,4,56,254,242,191,255,145,123,199,142,29,46,188,112,192,198,27,111,252,227,143,63,62,245,212,51,
143,62,250,31,232,47,187,236,146,95,126,153,217,174,93,219,29,118,216,254,227,79,62,185,227,142,187,63,251,236,115,232,49,190,79,57,249,196,166,77,155,76,155,254,229,128,1,23,252,249,231,159,251,238,187,
239,169,167,158,212,168,97,195,183,39,79,25,60,248,234,63,255,156,159,158,240,34,255,126,23,184,148,136,64,209,79,133,230,66,113,114,130,103,1,126,136,126,231,244,121,231,157,119,239,188,235,30,170,250,
226,139,105,202,6,45,61,237,212,147,27,53,106,248,246,219,83,6,95,101,218,85,189,122,245,65,87,94,190,205,54,221,86,174,92,49,97,226,27,55,15,189,245,175,133,11,145,210,131,15,58,240,241,255,62,113,225,
5,3,38,77,122,227,250,27,134,2,135,71,5,100,38,166,240,85,209,152,113,3,69,211,36,20,185,16,96,21,229,111,138,148,113,115,1,185,210,188,147,181,65,125,250,94,8,144,190,171,86,193,80,83,111,115,4,166,183,
5,231,40,81,193,143,145,171,49,227,155,163,36,207,73,243,136,135,31,113,131,64,13,145,72,170,105,126,49,104,44,149,36,75,71,163,161,150,122,118,210,12,178,87,159,50,12,86,165,198,64,182,13,148,121,86,
80,29,59,180,135,102,242,219,83,72,207,150,115,230,205,125,245,181,113,39,158,124,234,235,227,39,94,112,193,121,245,27,54,64,85,227,198,141,207,57,231,236,69,139,22,93,113,197,32,156,39,159,126,250,41,
240,218,124,243,206,87,13,190,98,218,180,233,151,254,123,224,164,73,111,206,153,61,183,81,195,198,131,7,13,124,226,137,167,250,245,27,208,174,109,219,67,254,117,176,1,167,139,0,47,249,50,255,41,7,30,36,
174,64,181,233,39,143,16,183,141,142,77,188,144,141,67,27,2,182,77,155,224,213,120,242,228,41,206,96,19,32,77,155,54,69,75,159,120,50,105,87,187,180,93,56,147,199,124,62,111,192,133,104,254,94,123,238,
190,235,174,187,192,3,151,184,219,110,219,237,223,151,94,140,28,190,248,226,88,194,144,125,42,80,141,232,243,201,52,118,154,72,23,9,69,50,213,102,119,125,217,90,229,55,27,49,201,248,96,51,37,164,102,176,
81,47,244,159,179,228,228,93,218,41,215,96,49,227,227,86,67,143,20,64,71,6,217,9,109,98,166,110,99,100,197,132,158,139,84,180,68,225,226,214,105,75,99,132,227,142,185,53,182,23,210,6,198,249,183,110,189,
193,31,179,102,253,50,115,38,193,25,26,73,239,252,250,203,175,15,61,56,6,183,151,38,78,152,216,251,172,211,187,117,237,250,234,171,175,97,89,158,63,127,254,85,87,95,11,97,157,117,215,233,219,167,55,206,
156,247,221,103,239,5,11,22,92,124,201,101,116,235,5,3,163,71,207,29,103,254,250,235,107,175,189,14,204,55,222,124,107,215,221,118,185,111,244,253,152,80,40,210,248,203,98,145,228,126,22,73,133,28,126,
218,222,31,93,46,62,74,129,158,93,181,170,117,235,245,81,245,241,199,31,155,5,206,158,43,75,240,30,61,186,163,93,227,198,141,135,217,155,182,93,144,31,124,120,12,242,176,238,58,235,124,245,213,215,59,
116,223,238,233,103,158,197,233,67,141,26,53,110,185,229,182,151,94,74,103,41,204,204,43,210,17,50,138,177,178,209,19,159,244,3,74,101,38,107,73,14,76,212,212,71,38,133,122,34,244,36,0,35,90,6,122,30,
2,205,86,177,109,42,148,36,167,29,168,44,137,145,198,230,136,0,109,56,205,36,136,22,104,172,180,179,200,142,206,46,7,1,254,204,45,228,40,65,42,44,139,113,108,26,232,54,217,65,157,51,103,110,189,186,117,
83,21,17,75,88,245,232,185,19,206,102,91,111,176,254,143,63,253,132,218,181,107,84,55,152,149,43,225,200,185,114,185,57,145,156,55,119,222,218,107,175,13,244,230,205,155,79,155,246,229,202,21,43,104,20,
34,214,182,219,108,131,163,211,35,99,30,32,88,160,66,137,23,138,70,144,39,8,156,10,212,137,108,216,222,33,128,188,79,7,45,49,20,109,55,101,57,230,101,100,15,180,242,156,185,243,160,172,215,160,1,162,251,
176,168,162,118,141,121,248,126,242,37,238,77,26,53,254,247,191,47,222,98,139,46,191,253,246,59,82,97,78,242,237,76,195,34,197,115,62,5,132,143,104,166,193,145,25,32,92,185,142,24,172,210,67,148,211,149,
221,245,181,80,201,223,228,172,131,53,68,37,216,66,101,195,69,41,228,59,74,203,128,236,181,86,245,22,92,20,190,42,6,48,61,149,143,73,38,65,168,160,146,236,25,39,199,38,11,238,53,45,173,10,246,159,53,54,
71,12,207,32,24,238,235,175,191,193,124,195,37,214,59,239,76,101,98,56,62,92,48,160,255,228,41,239,28,127,188,185,30,123,125,220,203,0,134,59,174,76,254,94,188,56,53,75,240,33,255,57,255,207,14,29,218,
67,96,124,92,164,253,250,235,111,123,239,115,64,74,149,88,209,89,148,1,202,206,167,56,34,44,217,93,201,41,72,225,63,18,7,78,5,175,78,97,249,243,207,255,195,89,253,78,59,118,159,56,97,146,19,205,242,213,
237,74,140,142,61,246,168,246,237,55,217,123,239,3,80,59,122,212,221,70,135,53,41,89,18,232,254,182,195,7,73,67,243,69,215,112,6,228,130,2,12,94,83,28,247,36,162,255,193,54,206,117,157,9,67,111,16,162,
11,212,228,211,48,80,111,1,137,73,31,124,11,147,138,139,166,181,204,42,17,36,49,35,115,187,115,130,40,242,94,145,112,0,165,222,14,164,231,165,115,146,244,34,33,56,142,40,4,125,109,187,208,70,249,150,190,
89,98,165,141,77,184,180,244,229,215,199,79,248,254,251,31,112,59,164,231,206,59,181,108,217,178,75,231,205,182,216,98,243,181,214,90,171,113,227,70,191,255,254,123,205,154,53,78,60,225,120,246,66,7,211,
253,79,147,79,176,77,102,215,148,201,83,155,53,107,122,220,49,71,175,211,178,229,126,251,237,83,163,102,141,9,19,39,182,106,181,238,49,199,28,85,171,86,45,92,245,109,217,117,75,195,60,25,137,178,9,144,
9,57,156,13,142,90,150,192,57,44,203,43,49,198,23,167,99,30,121,236,224,131,14,56,233,164,227,215,95,127,253,141,218,180,193,55,168,168,161,147,118,8,227,199,59,237,66,162,160,108,209,162,197,236,217,
179,151,175,88,177,253,118,219,110,190,121,23,99,207,141,181,93,144,117,16,52,182,213,176,148,47,100,20,239,21,43,86,209,155,199,152,177,225,70,197,4,11,100,178,204,239,170,85,43,167,239,106,206,208,81,
125,160,8,113,96,37,216,16,161,191,49,90,158,30,83,72,249,43,50,170,54,88,100,23,53,231,157,98,208,83,40,25,36,71,136,230,221,206,73,25,145,211,158,147,55,85,165,138,130,93,64,196,133,229,233,103,244,
158,49,99,198,141,215,95,59,246,197,103,111,185,249,198,14,237,219,47,254,123,241,168,81,15,96,138,78,156,240,90,149,42,149,63,251,252,139,128,167,85,189,248,210,88,220,19,238,219,183,247,216,177,207,
13,56,175,31,198,202,132,241,147,240,77,108,239,179,206,152,252,246,196,215,94,125,169,199,142,221,13,37,244,90,50,177,33,91,215,244,47,183,177,136,64,62,65,75,84,113,218,85,136,130,197,17,35,238,28,53,
234,126,52,252,249,231,158,124,228,145,7,48,105,225,104,22,167,228,53,113,162,211,174,158,61,118,130,250,209,199,30,111,208,160,193,148,201,147,206,62,251,204,7,31,26,99,236,221,198,202,238,32,28,73,94,
214,250,153,73,237,229,250,27,148,121,122,110,214,121,43,242,169,192,39,104,249,94,49,78,210,50,232,40,13,114,228,40,126,50,92,180,35,102,136,120,197,226,26,204,160,59,124,93,4,1,22,16,37,190,204,141,
55,128,141,111,218,144,88,220,0,124,162,42,135,15,97,224,116,183,78,157,58,184,87,132,34,49,92,187,122,117,12,185,101,203,150,69,147,41,162,87,173,90,181,126,253,250,243,230,205,163,91,74,168,193,67,2,
13,27,54,252,235,175,191,112,6,88,4,65,128,165,162,76,20,84,21,3,241,97,139,104,234,215,175,183,96,193,95,220,22,233,130,3,44,218,181,112,209,194,37,139,151,176,190,78,237,218,56,245,229,98,84,40,216,
143,229,119,31,69,172,204,19,149,115,23,203,26,27,48,215,152,37,27,164,163,191,162,228,12,142,106,191,7,69,172,192,196,167,103,188,131,83,36,227,151,74,210,151,93,24,89,154,179,37,155,201,218,176,172,
154,192,70,73,91,24,144,213,16,114,38,121,22,151,97,69,78,124,180,204,94,6,40,71,86,152,21,1,100,170,136,43,216,134,89,72,227,176,69,162,205,197,81,156,21,140,106,130,111,172,12,216,93,90,42,27,89,197,
246,212,143,114,12,42,47,182,204,23,0,158,221,245,101,8,14,201,26,66,81,197,32,180,242,197,233,10,204,50,71,191,15,114,211,13,95,32,100,238,6,75,159,92,241,237,120,22,12,177,8,44,211,51,54,145,23,219,
152,184,241,112,42,132,227,229,34,83,18,92,157,41,17,190,67,219,26,165,183,73,34,173,32,43,134,149,249,145,178,5,43,241,151,152,231,56,230,84,49,52,55,159,53,36,144,47,83,85,181,170,24,52,150,107,22,236,
121,208,7,89,5,105,4,45,101,232,146,6,108,156,99,25,172,42,126,187,203,31,105,28,20,2,30,239,205,38,42,87,56,33,49,82,115,135,139,10,160,238,73,18,148,72,159,115,34,106,24,120,151,160,134,134,136,8,4,
225,110,234,140,129,125,73,170,210,76,234,37,195,224,172,176,96,161,191,130,73,168,58,211,57,17,161,166,25,158,184,203,42,73,50,145,157,230,24,63,30,137,25,118,88,10,167,206,183,45,213,4,68,4,19,73,204,
199,200,99,149,180,52,144,88,17,55,207,221,11,102,140,197,250,232,140,117,129,233,249,25,133,147,147,82,198,65,4,165,84,105,41,171,33,10,42,191,152,191,150,33,110,96,162,74,68,248,231,147,243,3,40,251,
252,166,250,238,136,174,16,178,162,232,191,148,100,228,251,107,217,4,57,237,21,25,199,204,22,252,211,21,91,227,252,205,88,57,234,180,160,218,197,198,44,164,118,104,145,59,158,36,67,109,12,31,153,129,196,
81,218,43,34,169,59,185,184,81,178,232,137,20,152,102,100,17,244,114,195,168,150,114,101,128,60,234,36,127,20,35,248,37,48,21,8,133,164,108,136,251,174,97,2,204,175,152,80,1,144,156,30,65,204,24,96,76,
207,52,227,19,53,73,71,160,11,221,228,150,12,144,111,144,95,203,44,73,8,246,95,73,4,153,184,146,198,8,228,44,225,138,65,126,81,12,160,44,111,110,186,36,153,4,204,28,81,37,43,41,251,209,252,12,228,216,
219,88,58,4,195,42,180,0,20,181,200,109,2,185,91,112,83,10,56,114,12,87,8,71,20,121,35,243,88,246,168,86,129,164,46,201,153,72,113,38,46,175,53,89,98,14,50,69,8,192,250,138,5,243,38,42,103,45,212,61,38,
6,12,98,85,197,40,168,6,248,78,177,38,197,244,122,157,118,17,139,255,124,207,245,43,187,148,51,128,24,43,218,4,178,224,228,179,3,9,54,225,37,220,93,47,54,70,194,115,114,46,205,92,0,148,162,147,156,189,
140,11,211,182,60,61,156,84,225,120,37,186,132,88,252,252,159,144,93,88,31,36,22,78,235,153,39,85,184,176,218,24,101,101,175,44,242,221,205,147,8,250,126,74,10,144,239,232,70,225,142,75,183,98,225,198,
7,71,155,242,69,145,237,221,170,220,146,109,182,110,64,113,222,22,193,132,17,94,249,156,43,66,53,183,29,177,74,63,16,207,16,191,42,8,18,107,72,81,119,117,227,37,137,1,223,130,238,37,205,120,208,0,88,26,
51,109,231,18,49,216,66,165,180,255,7,132,68,134,137,40,70,87,10,133,84,164,200,60,99,198,178,81,134,134,56,145,246,93,74,52,86,92,148,41,95,21,197,212,202,129,237,90,243,100,209,63,115,11,160,184,158,
21,46,197,154,237,71,228,126,82,85,18,33,171,202,89,186,192,85,204,231,48,243,88,142,74,58,42,56,31,199,142,66,101,168,139,194,145,123,197,216,148,75,192,157,60,58,74,110,153,19,238,91,101,121,142,227,
179,13,119,80,104,197,72,177,229,205,50,118,52,130,200,131,79,163,2,217,240,65,56,156,95,21,212,72,123,153,34,210,115,99,131,190,80,74,247,152,13,233,75,66,193,204,59,245,205,133,148,116,97,24,166,226,
103,60,25,115,97,99,131,162,207,16,204,120,13,13,211,0,2,124,67,150,89,35,60,240,180,202,122,197,114,20,136,149,129,6,36,31,167,4,2,19,179,76,36,40,242,236,187,171,228,75,123,150,125,47,174,210,2,19,48,
253,168,43,195,177,132,75,234,224,146,79,163,227,164,79,227,229,150,19,16,63,129,210,167,140,118,9,55,110,69,216,157,154,227,54,33,243,118,27,155,174,161,194,56,140,73,254,174,175,209,9,199,44,132,149,
24,138,9,219,154,108,138,149,55,81,25,209,0,249,108,18,120,63,227,142,23,83,176,130,111,111,107,204,223,213,241,77,112,244,245,15,131,19,114,62,62,27,151,20,28,156,72,102,100,111,229,183,26,225,84,159,
1,223,9,81,146,80,41,3,73,0,200,28,142,162,4,99,73,23,130,47,98,86,242,46,186,140,30,100,29,140,146,90,6,83,109,103,69,158,35,50,28,58,179,101,151,88,45,39,202,167,154,227,203,85,190,23,1,146,65,142,89,
121,19,85,134,9,182,4,6,57,193,164,59,203,153,189,74,186,77,55,91,106,129,79,122,67,150,50,161,89,8,9,33,195,133,16,164,109,89,114,145,204,128,18,24,134,137,37,193,36,127,40,84,17,26,199,87,182,197,88,
123,203,147,50,48,238,73,24,251,225,160,89,165,12,10,131,160,141,181,205,254,42,51,117,116,101,76,105,150,201,30,207,64,91,146,80,22,199,180,20,107,65,240,140,58,227,68,18,192,69,102,178,160,218,206,148,
99,181,49,189,196,240,109,44,91,105,149,202,190,113,192,72,158,250,50,86,208,147,107,131,40,164,12,58,230,216,171,42,53,190,37,90,48,58,238,101,202,238,81,28,164,187,10,68,69,25,174,164,113,16,33,166,
44,136,150,111,150,214,250,3,23,81,197,104,243,219,2,141,143,44,27,75,46,190,13,233,229,103,17,27,105,31,236,38,105,64,114,14,108,113,158,18,100,165,123,77,76,52,164,1,197,5,120,224,14,144,72,166,228,
239,187,251,13,41,174,89,125,180,236,247,168,206,157,12,143,130,174,21,205,243,108,51,5,90,30,165,168,134,96,238,173,151,32,136,90,170,179,168,74,82,129,168,54,55,92,10,16,116,148,224,197,146,32,61,202,
149,253,129,11,4,63,27,190,70,5,42,105,0,123,57,76,165,123,17,95,178,15,88,150,204,161,9,156,29,255,3,8,146,74,68,46,232,5,51,63,159,210,87,202,58,20,53,68,80,213,6,182,28,76,99,30,178,117,204,255,155,
237,66,152,111,167,106,11,6,206,49,83,41,203,177,164,208,170,253,37,237,225,101,93,178,113,192,173,8,186,91,123,182,10,56,114,29,4,128,120,46,178,62,48,163,156,234,2,5,226,41,163,104,230,37,103,130,55,
182,36,26,181,130,136,104,228,2,244,74,154,168,94,14,218,115,92,69,140,141,217,128,53,153,128,230,23,110,32,188,242,143,168,25,172,39,81,67,124,38,138,51,12,124,27,5,166,92,184,54,230,72,246,206,53,106,
204,148,177,194,66,206,88,241,146,200,8,50,22,168,4,217,75,27,150,131,150,12,43,5,184,72,99,70,144,54,82,102,3,242,226,162,180,41,75,150,209,225,24,5,44,149,64,118,4,160,194,196,114,148,79,137,125,217,
204,215,112,21,4,137,159,111,73,94,210,30,26,229,98,138,57,173,227,192,201,56,201,124,125,151,200,64,194,252,201,188,4,121,169,76,131,16,102,130,35,57,7,44,77,51,188,111,34,220,75,122,38,30,118,231,234,
144,80,134,75,66,131,78,102,245,247,168,26,89,52,79,87,217,178,92,53,253,91,124,69,104,21,177,177,209,244,80,96,125,80,40,130,44,187,77,130,196,244,176,97,88,22,216,209,247,242,109,216,152,4,153,64,85,
5,95,31,80,217,160,24,14,193,163,45,54,202,67,23,38,14,20,35,248,33,173,70,95,19,89,125,246,215,126,245,239,94,72,230,221,254,241,19,226,176,98,104,239,110,98,216,44,177,103,76,216,4,142,171,176,17,89,
98,99,14,149,47,228,196,205,119,204,175,149,52,254,15,134,57,53,181,77,232,122,106,0,0,0,0,73,69,78,68,174,66,96,130,0,0};

const char* ConfirmClearDialog::confirmcleardialog_png = (const char*) resource_ConfirmClearDialog_confirmcleardialog_png;
const int ConfirmClearDialog::confirmcleardialog_pngSize = 26740;


//[EndFile] You can add extra defines here...
//[/EndFile]
